Your search did not match any results.

Multiple Record Selection

This demo sets selection.mode to "multiple". This allows users to select multiple rows using checkboxes or keyboard shortcuts.

To configure when the checkboxes appear, set the showCheckBoxesMode property.

The checkbox in the header selects all rows or current page rows, depending on the selectAllMode value. If you want to disable this checkbox, set allowSelectAll to false.

In this demo, you can use the drop-down menus under the grid to change the showCheckBoxesMode and selectAllMode values.

Backend API
$(() => { const dataGrid = $('#grid-container').dxDataGrid({ dataSource: sales, keyExpr: 'orderId', showBorders: true, selection: { mode: 'multiple', }, paging: { pageSize: 10, }, filterRow: { visible: true, }, columns: [{ dataField: 'orderId', caption: 'Order ID', width: 90, }, 'city', { dataField: 'country', width: 180, }, 'region', { dataField: 'date', dataType: 'date', }, { dataField: 'amount', format: 'currency', width: 90, }], }).dxDataGrid('instance'); $('#select-all-mode').dxSelectBox({ dataSource: ['allPages', 'page'], value: 'allPages', inputAttr: { 'aria-label': 'Select All Mode' }, onValueChanged(data) { dataGrid.option('selection.selectAllMode', data.value); }, }); $('#show-checkboxes-mode').dxSelectBox({ dataSource: ['none', 'onClick', 'onLongTap', 'always'], value: dataGrid.option('selection.showCheckBoxesMode'), inputAttr: { 'aria-label': 'Show Checkboxes Mode' }, onValueChanged(data) { dataGrid.option('selection.showCheckBoxesMode', data.value); $('#select-all-mode').dxSelectBox('instance').option('disabled', data.value === 'none'); }, }); });
<!DOCTYPE html> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" /> <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> <script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.6/css/dx.light.css" /> <script src="https://cdn3.devexpress.com/jslib/23.1.6/js/dx.all.js"></script> <script src="data.js"></script> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="index.js"></script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="grid"> <div id="grid-container"></div> <div class="options"> <div class="caption">Options</div> <div class="option"> <span>Select All Mode</span> <div id="select-all-mode"></div> </div> <div class="option checkboxes-mode"> <span>Show Checkboxes Mode</span> <div id="show-checkboxes-mode"></div> </div> </div> </div> </div> </body> </html>
.options { margin-top: 20px; padding: 20px; background-color: rgba(191, 191, 191, 0.15); position: relative; } .caption { font-size: 18px; font-weight: 500; } .option { margin-top: 10px; } .checkboxes-mode { position: absolute; right: 20px; bottom: 20px; } .option > .dx-selectbox { width: 150px; display: inline-block; vertical-align: middle; } .option > span { margin-right: 10px; }
const sales = [{ orderId: 10248, region: 'North America', country: 'United States', city: 'New York', amount: 1740, date: '2013/01/06', }, { orderId: 10249, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 850, date: '2013/01/13', }, { orderId: 10250, region: 'North America', country: 'United States', city: 'Denver', amount: 2235, date: '2013/01/07', }, { orderId: 10251, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1965, date: '2013/01/03', }, { orderId: 10252, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 880, date: '2013/01/10', }, { orderId: 10253, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 5260, date: '2013/01/17', }, { orderId: 10254, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 2790, date: '2013/01/21', }, { orderId: 10255, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 3140, date: '2013/01/01', }, { orderId: 10256, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 6175, date: '2013/01/24', }, { orderId: 10257, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4575, date: '2013/01/11', }, { orderId: 10258, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 3680, date: '2013/01/12', }, { orderId: 10259, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2260, date: '2013/01/01', }, { orderId: 10260, region: 'Asia', country: 'China', city: 'Beijing', amount: 2910, date: '2013/01/26', }, { orderId: 10261, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 8400, date: '2013/01/05', }, { orderId: 10262, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 1325, date: '2013/01/14', }, { orderId: 10263, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 3920, date: '2013/01/05', }, { orderId: 10264, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2220, date: '2013/01/15', }, { orderId: 10265, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 940, date: '2013/01/01', }, { orderId: 10266, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1630, date: '2013/01/10', }, { orderId: 10267, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2910, date: '2013/01/23', }, { orderId: 10268, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 2600, date: '2013/01/14', }, { orderId: 10269, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 4340, date: '2013/01/26', }, { orderId: 10270, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 6650, date: '2013/01/24', }, { orderId: 10271, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 490, date: '2013/01/22', }, { orderId: 10272, region: 'North America', country: 'United States', city: 'New York', amount: 3390, date: '2013/01/25', }, { orderId: 10273, region: 'North America', country: 'United States', city: 'New York', amount: 5160, date: '2013/02/20', }, { orderId: 10274, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 5750, date: '2013/02/12', }, { orderId: 10275, region: 'North America', country: 'United States', city: 'Denver', amount: 2805, date: '2013/02/13', }, { orderId: 10276, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2505, date: '2013/02/09', }, { orderId: 10277, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 930, date: '2013/02/04', }, { orderId: 10278, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 1240, date: '2013/02/03', }, { orderId: 10279, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 315, date: '2013/02/04', }, { orderId: 10280, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2870, date: '2013/02/18', }, { orderId: 10281, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 5150, date: '2013/02/18', }, { orderId: 10282, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 2725, date: '2013/02/20', }, { orderId: 10283, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2840, date: '2013/02/04', }, { orderId: 10284, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5840, date: '2013/02/13', }, { orderId: 10285, region: 'Asia', country: 'China', city: 'Beijing', amount: 6750, date: '2013/02/11', }, { orderId: 10286, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1200, date: '2013/02/03', }, { orderId: 10287, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4550, date: '2013/02/08', }, { orderId: 10288, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 6040, date: '2013/02/17', }, { orderId: 10289, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2205, date: '2013/02/08', }, { orderId: 10290, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 990, date: '2013/02/20', }, { orderId: 10291, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 700, date: '2013/02/11', }, { orderId: 10292, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2325, date: '2013/02/15', }, { orderId: 10293, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 930, date: '2013/02/21', }, { orderId: 10294, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1560, date: '2013/02/04', }, { orderId: 10295, region: 'North America', country: 'United States', city: 'New York', amount: 1740, date: '2013/03/04', }, { orderId: 10296, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 3575, date: '2013/03/20', }, { orderId: 10297, region: 'North America', country: 'United States', city: 'Denver', amount: 4500, date: '2013/03/04', }, { orderId: 10298, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1605, date: '2013/03/17', }, { orderId: 10299, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 800, date: '2013/03/21', }, { orderId: 10300, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 640, date: '2013/03/08', }, { orderId: 10301, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 735, date: '2013/03/19', }, { orderId: 10302, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2520, date: '2013/03/20', }, { orderId: 10303, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 6675, date: '2013/03/18', }, { orderId: 10304, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 3625, date: '2013/03/25', }, { orderId: 10305, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 1200, date: '2013/03/07', }, { orderId: 10306, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2000, date: '2013/03/07', }, { orderId: 10307, region: 'Asia', country: 'China', city: 'Beijing', amount: 1410, date: '2013/03/10', }, { orderId: 10308, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 2700, date: '2013/03/19', }, { orderId: 10309, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 5950, date: '2013/03/24', }, { orderId: 10310, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 5120, date: '2013/03/08', }, { orderId: 10311, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1980, date: '2013/03/17', }, { orderId: 10312, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1110, date: '2013/03/08', }, { orderId: 10313, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 980, date: '2013/03/21', }, { orderId: 10314, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 5460, date: '2013/03/19', }, { orderId: 10315, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 3800, date: '2013/03/12', }, { orderId: 10316, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2610, date: '2013/03/04', }, { orderId: 10317, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 3080, date: '2013/03/22', }, { orderId: 10318, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 2010, date: '2013/03/23', }, { orderId: 10319, region: 'Asia', country: 'China', city: 'Beijing', amount: 1200, date: '2013/03/04', }, { orderId: 10320, region: 'North America', country: 'United States', city: 'New York', amount: 7680, date: '2013/04/15', }, { orderId: 10321, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 1325, date: '2013/04/07', }, { orderId: 10322, region: 'North America', country: 'United States', city: 'Denver', amount: 2835, date: '2013/04/10', }, { orderId: 10323, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3660, date: '2013/04/10', }, { orderId: 10324, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 390, date: '2013/04/12', }, { orderId: 10325, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 4420, date: '2013/04/08', }, { orderId: 10326, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1755, date: '2013/04/13', }, { orderId: 10327, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2580, date: '2013/04/15', }, { orderId: 10328, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 850, date: '2013/04/01', }, { orderId: 10329, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 2825, date: '2013/04/10', }, { orderId: 10330, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 540, date: '2013/04/06', }, { orderId: 10331, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1520, date: '2013/04/08', }, { orderId: 10332, region: 'Asia', country: 'China', city: 'Beijing', amount: 8760, date: '2013/04/26', }, { orderId: 10333, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1110, date: '2013/04/16', }, { orderId: 10334, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 6850, date: '2013/04/19', }, { orderId: 10335, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 1940, date: '2013/04/23', }, { orderId: 10336, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1980, date: '2013/04/21', }, { orderId: 10337, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 3090, date: '2013/04/03', }, { orderId: 10338, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1640, date: '2013/04/24', }, { orderId: 10339, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3585, date: '2013/04/01', }, { orderId: 10340, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1770, date: '2013/04/01', }, { orderId: 10341, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4005, date: '2013/04/04', }, { orderId: 10342, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2870, date: '2013/04/02', }, { orderId: 10343, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 960, date: '2013/04/20', }, { orderId: 10344, region: 'North America', country: 'United States', city: 'New York', amount: 8640, date: '2013/05/14', }, { orderId: 10345, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 5450, date: '2013/05/24', }, { orderId: 10346, region: 'North America', country: 'United States', city: 'Denver', amount: 2535, date: '2013/05/07', }, { orderId: 10347, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1155, date: '2013/05/20', }, { orderId: 10348, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 3140, date: '2013/05/18', }, { orderId: 10349, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2260, date: '2013/05/19', }, { orderId: 10350, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1215, date: '2013/05/23', }, { orderId: 10351, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1210, date: '2013/05/08', }, { orderId: 10352, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 875, date: '2013/05/25', }, { orderId: 10353, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5400, date: '2013/05/03', }, { orderId: 10354, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5940, date: '2013/05/25', }, { orderId: 10355, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 4700, date: '2013/05/03', }, { orderId: 10356, region: 'Asia', country: 'China', city: 'Beijing', amount: 5520, date: '2013/05/12', }, { orderId: 10357, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 9210, date: '2013/05/22', }, { orderId: 10358, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 7950, date: '2013/05/12', }, { orderId: 10359, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 3740, date: '2013/05/24', }, { orderId: 10360, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 990, date: '2013/05/02', }, { orderId: 10361, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 3190, date: '2013/05/03', }, { orderId: 10362, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2430, date: '2013/05/11', }, { orderId: 10363, region: 'North America', country: 'United States', city: 'New York', amount: 7380, date: '2013/06/15', }, { orderId: 10364, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4475, date: '2013/06/08', }, { orderId: 10365, region: 'North America', country: 'United States', city: 'Denver', amount: 1290, date: '2013/06/10', }, { orderId: 10366, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2250, date: '2013/06/10', }, { orderId: 10367, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 350, date: '2013/06/22', }, { orderId: 10368, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 5480, date: '2013/06/24', }, { orderId: 10369, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 2355, date: '2013/06/10', }, { orderId: 10370, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1960, date: '2013/06/23', }, { orderId: 10371, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 4125, date: '2013/06/06', }, { orderId: 10372, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7925, date: '2013/06/12', }, { orderId: 10373, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 1120, date: '2013/06/22', }, { orderId: 10374, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5100, date: '2013/06/01', }, { orderId: 10375, region: 'Asia', country: 'China', city: 'Beijing', amount: 1500, date: '2013/06/25', }, { orderId: 10376, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 5130, date: '2013/06/10', }, { orderId: 10377, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 2475, date: '2013/06/10', }, { orderId: 10378, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2100, date: '2013/06/06', }, { orderId: 10379, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3570, date: '2013/06/10', }, { orderId: 10380, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 550, date: '2013/06/02', }, { orderId: 10381, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2850, date: '2013/06/26', }, { orderId: 10382, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 4280, date: '2013/06/19', }, { orderId: 10383, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 1460, date: '2013/06/17', }, { orderId: 10384, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 960, date: '2013/06/17', }, { orderId: 10385, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1520, date: '2013/06/03', }, { orderId: 10386, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 6750, date: '2013/06/21', }, { orderId: 10387, region: 'North America', country: 'United States', city: 'New York', amount: 7260, date: '2013/07/14', }, { orderId: 10388, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 2450, date: '2013/07/11', }, { orderId: 10389, region: 'North America', country: 'United States', city: 'Denver', amount: 3540, date: '2013/07/02', }, { orderId: 10390, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1950, date: '2013/07/03', }, { orderId: 10391, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 360, date: '2013/07/07', }, { orderId: 10392, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 4500, date: '2013/07/03', }, { orderId: 10393, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4575, date: '2013/07/21', }, { orderId: 10394, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2310, date: '2013/07/18', }, { orderId: 10395, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7500, date: '2013/07/04', }, { orderId: 10396, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 3575, date: '2013/07/23', }, { orderId: 10397, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 760, date: '2013/07/01', }, { orderId: 10398, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2400, date: '2013/07/11', }, { orderId: 10399, region: 'Asia', country: 'China', city: 'Beijing', amount: 3330, date: '2013/07/04', }, { orderId: 10400, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3480, date: '2013/07/23', }, { orderId: 10401, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4875, date: '2013/07/11', }, { orderId: 10402, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4980, date: '2013/07/19', }, { orderId: 10403, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2580, date: '2013/07/04', }, { orderId: 10404, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2650, date: '2013/07/16', }, { orderId: 10405, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1190, date: '2013/07/02', }, { orderId: 10406, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 960, date: '2013/07/26', }, { orderId: 10407, region: 'North America', country: 'United States', city: 'New York', amount: 3600, date: '2013/08/08', }, { orderId: 10408, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 2250, date: '2013/08/01', }, { orderId: 10409, region: 'North America', country: 'United States', city: 'Denver', amount: 1275, date: '2013/08/02', }, { orderId: 10410, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3885, date: '2013/08/14', }, { orderId: 10411, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1900, date: '2013/08/05', }, { orderId: 10412, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2300, date: '2013/08/09', }, { orderId: 10413, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 2895, date: '2013/08/15', }, { orderId: 10414, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 350, date: '2013/08/20', }, { orderId: 10415, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 4200, date: '2013/08/22', }, { orderId: 10416, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7175, date: '2013/08/14', }, { orderId: 10417, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 4420, date: '2013/08/24', }, { orderId: 10418, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5200, date: '2013/08/21', }, { orderId: 10419, region: 'Asia', country: 'China', city: 'Beijing', amount: 7920, date: '2013/08/17', }, { orderId: 10420, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 6990, date: '2013/08/22', }, { orderId: 10421, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 2125, date: '2013/08/05', }, { orderId: 10422, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2220, date: '2013/08/16', }, { orderId: 10423, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1575, date: '2013/08/23', }, { orderId: 10424, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1880, date: '2013/08/12', }, { orderId: 10425, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 710, date: '2013/08/25', }, { orderId: 10426, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 390, date: '2013/08/20', }, { orderId: 10427, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4635, date: '2013/08/04', }, { orderId: 10428, region: 'North America', country: 'United States', city: 'Denver', amount: 4350, date: '2013/08/19', }, { orderId: 10429, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 6020, date: '2013/08/02', }, { orderId: 10430, region: 'North America', country: 'United States', city: 'New York', amount: 3660, date: '2013/08/19', }, { orderId: 10431, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4525, date: '2013/08/24', }, { orderId: 10432, region: 'North America', country: 'United States', city: 'New York', amount: 4410, date: '2013/09/12', }, { orderId: 10433, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 1725, date: '2013/09/07', }, { orderId: 10434, region: 'North America', country: 'United States', city: 'Denver', amount: 2715, date: '2013/09/14', }, { orderId: 10435, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2820, date: '2013/09/08', }, { orderId: 10436, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2310, date: '2013/09/12', }, { orderId: 10437, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 780, date: '2013/09/08', }, { orderId: 10438, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 2370, date: '2013/09/19', }, { orderId: 10439, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1410, date: '2013/09/09', }, { orderId: 10440, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 1825, date: '2013/09/23', }, { orderId: 10441, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4075, date: '2013/09/06', }, { orderId: 10442, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 1020, date: '2013/09/04', }, { orderId: 10443, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 4320, date: '2013/09/25', }, { orderId: 10444, region: 'Asia', country: 'China', city: 'Beijing', amount: 7530, date: '2013/09/13', }, { orderId: 10445, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 2820, date: '2013/09/08', }, { orderId: 10446, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3050, date: '2013/09/04', }, { orderId: 10447, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 5080, date: '2013/09/25', }, { orderId: 10448, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1125, date: '2013/09/13', }, { orderId: 10449, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 850, date: '2013/09/24', }, { orderId: 10450, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1440, date: '2013/09/19', }, { orderId: 10451, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1950, date: '2013/09/02', }, { orderId: 10452, region: 'North America', country: 'United States', city: 'New York', amount: 6390, date: '2013/10/11', }, { orderId: 10453, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4625, date: '2013/10/02', }, { orderId: 10454, region: 'North America', country: 'United States', city: 'Denver', amount: 3510, date: '2013/10/24', }, { orderId: 10455, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2730, date: '2013/10/15', }, { orderId: 10456, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2070, date: '2013/10/15', }, { orderId: 10457, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2320, date: '2013/10/18', }, { orderId: 10458, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4260, date: '2013/10/24', }, { orderId: 10459, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 840, date: '2013/10/18', }, { orderId: 10460, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7300, date: '2013/10/24', }, { orderId: 10461, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5950, date: '2013/10/11', }, { orderId: 10462, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 3220, date: '2013/10/25', }, { orderId: 10463, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 3480, date: '2013/10/08', }, { orderId: 10464, region: 'Asia', country: 'China', city: 'Beijing', amount: 4830, date: '2013/10/26', }, { orderId: 10465, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 4470, date: '2013/10/05', }, { orderId: 10466, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3675, date: '2013/10/23', }, { orderId: 10467, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4260, date: '2013/10/01', }, { orderId: 10468, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4245, date: '2013/10/26', }, { orderId: 10469, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1470, date: '2013/10/01', }, { orderId: 10470, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1810, date: '2013/10/02', }, { orderId: 10471, region: 'North America', country: 'United States', city: 'New York', amount: 600, date: '2013/10/23', }, { orderId: 10472, region: 'North America', country: 'United States', city: 'New York', amount: 7500, date: '2013/11/03', }, { orderId: 10473, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4625, date: '2013/11/02', }, { orderId: 10474, region: 'North America', country: 'United States', city: 'Denver', amount: 2625, date: '2013/11/09', }, { orderId: 10475, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1440, date: '2013/11/15', }, { orderId: 10476, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2420, date: '2013/11/15', }, { orderId: 10477, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 4180, date: '2013/11/15', }, { orderId: 10478, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 3720, date: '2013/11/25', }, { orderId: 10479, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2730, date: '2013/11/08', }, { orderId: 10480, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 3775, date: '2013/11/17', }, { orderId: 10481, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 3525, date: '2013/11/15', }, { orderId: 10482, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5320, date: '2013/11/08', }, { orderId: 10483, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5340, date: '2013/11/13', }, { orderId: 10484, region: 'Asia', country: 'China', city: 'Beijing', amount: 8850, date: '2013/11/01', }, { orderId: 10485, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 7050, date: '2013/11/14', }, { orderId: 10486, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4200, date: '2013/11/18', }, { orderId: 10487, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4960, date: '2013/11/04', }, { orderId: 10488, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2280, date: '2013/11/13', }, { orderId: 10489, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 590, date: '2013/11/11', }, { orderId: 10490, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 810, date: '2013/11/12', }, { orderId: 10491, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 2625, date: '2013/11/07', }, { orderId: 10492, region: 'North America', country: 'United States', city: 'New York', amount: 8280, date: '2013/12/01', }, { orderId: 10493, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 5650, date: '2013/12/19', }, { orderId: 10494, region: 'North America', country: 'United States', city: 'Denver', amount: 2760, date: '2013/12/14', }, { orderId: 10495, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2670, date: '2013/12/03', }, { orderId: 10496, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2520, date: '2013/12/20', }, { orderId: 10497, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 4080, date: '2013/12/21', }, { orderId: 10498, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4140, date: '2013/12/22', }, { orderId: 10499, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 390, date: '2013/12/04', }, { orderId: 10500, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 1400, date: '2013/12/19', }, { orderId: 10501, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7275, date: '2013/12/22', }, { orderId: 10502, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 4100, date: '2013/12/20', }, { orderId: 10503, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5520, date: '2013/12/25', }, { orderId: 10504, region: 'Asia', country: 'China', city: 'Beijing', amount: 9210, date: '2013/12/24', }, { orderId: 10505, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 7290, date: '2013/12/05', }, { orderId: 10506, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 625, date: '2013/12/22', }, { orderId: 10507, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4460, date: '2013/12/12', }, { orderId: 10508, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3825, date: '2013/12/13', }, { orderId: 10509, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2850, date: '2013/12/17', }, { orderId: 10510, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2780, date: '2013/12/07', }, { orderId: 10511, region: 'North America', country: 'United States', city: 'New York', amount: 840, date: '2013/12/18', }, { orderId: 10512, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2970, date: '2013/12/23', }, { orderId: 10513, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 945, date: '2013/12/06', }, { orderId: 10514, region: 'North America', country: 'United States', city: 'Denver', amount: 2625, date: '2013/12/04', }, { orderId: 10515, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 390, date: '2013/12/01', }, { orderId: 10516, region: 'Asia', country: 'China', city: 'Beijing', amount: 2250, date: '2013/12/02', }, { orderId: 10517, region: 'North America', country: 'United States', city: 'New York', amount: 7710, date: '2014/01/18', }, { orderId: 10518, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 7975, date: '2014/01/10', }, { orderId: 10519, region: 'North America', country: 'United States', city: 'Denver', amount: 3285, date: '2014/01/13', }, { orderId: 10520, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2580, date: '2014/01/22', }, { orderId: 10521, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2160, date: '2014/01/26', }, { orderId: 10522, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 1100, date: '2014/01/25', }, { orderId: 10523, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4425, date: '2014/01/21', }, { orderId: 10524, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1360, date: '2014/01/22', }, { orderId: 10525, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 3250, date: '2014/01/14', }, { orderId: 10526, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5550, date: '2014/01/21', }, { orderId: 10527, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2860, date: '2014/01/25', }, { orderId: 10528, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5320, date: '2014/01/08', }, { orderId: 10529, region: 'Asia', country: 'China', city: 'Beijing', amount: 4050, date: '2014/01/14', }, { orderId: 10530, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3450, date: '2014/01/24', }, { orderId: 10531, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 5425, date: '2014/01/11', }, { orderId: 10532, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4860, date: '2014/01/12', }, { orderId: 10533, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4695, date: '2014/01/16', }, { orderId: 10534, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 610, date: '2014/01/05', }, { orderId: 10535, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1580, date: '2014/01/15', }, { orderId: 10536, region: 'North America', country: 'United States', city: 'New York', amount: 3780, date: '2014/02/18', }, { orderId: 10537, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 5400, date: '2014/02/21', }, { orderId: 10538, region: 'North America', country: 'United States', city: 'Denver', amount: 630, date: '2014/02/18', }, { orderId: 10539, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3960, date: '2014/02/04', }, { orderId: 10540, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2010, date: '2014/02/25', }, { orderId: 10541, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 5000, date: '2014/02/01', }, { orderId: 10542, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1995, date: '2014/02/20', }, { orderId: 10543, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 860, date: '2014/02/12', }, { orderId: 10544, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 2150, date: '2014/02/10', }, { orderId: 10545, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4050, date: '2014/02/06', }, { orderId: 10546, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2960, date: '2014/02/18', }, { orderId: 10547, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1780, date: '2014/02/26', }, { orderId: 10548, region: 'Asia', country: 'China', city: 'Beijing', amount: 8700, date: '2014/02/03', }, { orderId: 10549, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3390, date: '2014/02/03', }, { orderId: 10550, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4425, date: '2014/02/15', }, { orderId: 10551, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 1180, date: '2014/02/23', }, { orderId: 10552, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 360, date: '2014/02/08', }, { orderId: 10553, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2310, date: '2014/02/13', }, { orderId: 10554, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1770, date: '2014/02/20', }, { orderId: 10555, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3060, date: '2014/02/26', }, { orderId: 10556, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1750, date: '2014/02/12', }, { orderId: 10557, region: 'North America', country: 'United States', city: 'New York', amount: 2280, date: '2014/03/09', }, { orderId: 10558, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 7600, date: '2014/03/25', }, { orderId: 10559, region: 'North America', country: 'United States', city: 'Denver', amount: 1035, date: '2014/03/23', }, { orderId: 10560, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1245, date: '2014/03/01', }, { orderId: 10561, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2860, date: '2014/03/19', }, { orderId: 10562, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 440, date: '2014/03/19', }, { orderId: 10563, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4665, date: '2014/03/02', }, { orderId: 10564, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2270, date: '2014/03/15', }, { orderId: 10565, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 5000, date: '2014/03/09', }, { orderId: 10566, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5100, date: '2014/03/23', }, { orderId: 10567, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2120, date: '2014/03/11', }, { orderId: 10568, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5140, date: '2014/03/05', }, { orderId: 10569, region: 'Asia', country: 'China', city: 'Beijing', amount: 6210, date: '2014/03/19', }, { orderId: 10570, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 9510, date: '2014/03/19', }, { orderId: 10571, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 7600, date: '2014/03/21', }, { orderId: 10572, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 5420, date: '2014/03/15', }, { orderId: 10573, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1980, date: '2014/03/05', }, { orderId: 10574, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1820, date: '2014/03/07', }, { orderId: 10575, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1670, date: '2014/03/21', }, { orderId: 10576, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4800, date: '2014/03/08', }, { orderId: 10577, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2925, date: '2014/03/03', }, { orderId: 10578, region: 'North America', country: 'United States', city: 'New York', amount: 2940, date: '2014/04/11', }, { orderId: 10579, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 3525, date: '2014/04/13', }, { orderId: 10580, region: 'North America', country: 'United States', city: 'Denver', amount: 2475, date: '2014/04/22', }, { orderId: 10581, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3315, date: '2014/04/08', }, { orderId: 10582, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 3140, date: '2014/04/07', }, { orderId: 10583, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2520, date: '2014/04/01', }, { orderId: 10584, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1200, date: '2014/04/10', }, { orderId: 10585, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2060, date: '2014/04/21', }, { orderId: 10586, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7875, date: '2014/04/02', }, { orderId: 10587, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 1450, date: '2014/04/07', }, { orderId: 10588, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2640, date: '2014/04/22', }, { orderId: 10589, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1960, date: '2014/04/16', }, { orderId: 10590, region: 'Asia', country: 'China', city: 'Beijing', amount: 2250, date: '2014/04/23', }, { orderId: 10591, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 4500, date: '2014/04/05', }, { orderId: 10592, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 5050, date: '2014/04/11', }, { orderId: 10593, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2940, date: '2014/04/02', }, { orderId: 10594, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2880, date: '2014/04/14', }, { orderId: 10595, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1050, date: '2014/04/19', }, { orderId: 10596, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1850, date: '2014/04/02', }, { orderId: 10597, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 3160, date: '2014/04/01', }, { orderId: 10598, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 875, date: '2014/04/04', }, { orderId: 10599, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 3200, date: '2014/04/08', }, { orderId: 10600, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1380, date: '2014/04/21', }, { orderId: 10601, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 3060, date: '2014/04/06', }, { orderId: 10602, region: 'North America', country: 'United States', city: 'New York', amount: 6690, date: '2014/05/19', }, { orderId: 10603, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4525, date: '2014/05/15', }, { orderId: 10604, region: 'North America', country: 'United States', city: 'Denver', amount: 4665, date: '2014/05/10', }, { orderId: 10605, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 4530, date: '2014/05/18', }, { orderId: 10606, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1330, date: '2014/05/08', }, { orderId: 10607, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 1720, date: '2014/05/20', }, { orderId: 10608, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 3750, date: '2014/05/16', }, { orderId: 10609, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1290, date: '2014/05/10', }, { orderId: 10610, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 4925, date: '2014/05/14', }, { orderId: 10611, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4300, date: '2014/05/22', }, { orderId: 10612, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5740, date: '2014/05/08', }, { orderId: 10613, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 3760, date: '2014/05/18', }, { orderId: 10614, region: 'Asia', country: 'China', city: 'Beijing', amount: 7920, date: '2014/05/22', }, { orderId: 10615, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1440, date: '2014/05/21', }, { orderId: 10616, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 5975, date: '2014/05/25', }, { orderId: 10617, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4440, date: '2014/05/05', }, { orderId: 10618, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2310, date: '2014/05/24', }, { orderId: 10619, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2250, date: '2014/05/06', }, { orderId: 10620, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2320, date: '2014/05/14', }, { orderId: 10621, region: 'Asia', country: 'China', city: 'Beijing', amount: 8370, date: '2014/05/06', }, { orderId: 10622, region: 'North America', country: 'United States', city: 'New York', amount: 5190, date: '2014/06/26', }, { orderId: 10623, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 925, date: '2014/06/04', }, { orderId: 10624, region: 'North America', country: 'United States', city: 'Denver', amount: 3240, date: '2014/06/20', }, { orderId: 10625, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3180, date: '2014/06/23', }, { orderId: 10626, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 780, date: '2014/06/13', }, { orderId: 10627, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 4680, date: '2014/06/08', }, { orderId: 10628, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 2475, date: '2014/06/25', }, { orderId: 10629, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1920, date: '2014/06/20', }, { orderId: 10630, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7500, date: '2014/06/25', }, { orderId: 10631, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5025, date: '2014/06/26', }, { orderId: 10632, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2400, date: '2014/06/08', }, { orderId: 10633, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1720, date: '2014/06/09', }, { orderId: 10634, region: 'Asia', country: 'China', city: 'Beijing', amount: 2880, date: '2014/06/21', }, { orderId: 10635, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 5430, date: '2014/06/03', }, { orderId: 10636, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4475, date: '2014/06/19', }, { orderId: 10637, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 1420, date: '2014/06/20', }, { orderId: 10638, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2670, date: '2014/06/25', }, { orderId: 10639, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1930, date: '2014/06/02', }, { orderId: 10640, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 580, date: '2014/06/25', }, { orderId: 10641, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1620, date: '2014/06/12', }, { orderId: 10642, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4530, date: '2014/06/02', }, { orderId: 10643, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 6025, date: '2014/06/23', }, { orderId: 10644, region: 'North America', country: 'United States', city: 'New York', amount: 3540, date: '2014/07/21', }, { orderId: 10645, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 3000, date: '2014/07/01', }, { orderId: 10646, region: 'North America', country: 'United States', city: 'Denver', amount: 3240, date: '2014/07/26', }, { orderId: 10647, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2265, date: '2014/07/22', }, { orderId: 10648, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 400, date: '2014/07/09', }, { orderId: 10649, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 1460, date: '2014/07/08', }, { orderId: 10650, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1620, date: '2014/07/18', }, { orderId: 10651, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2400, date: '2014/07/25', }, { orderId: 10652, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 5275, date: '2014/07/04', }, { orderId: 10653, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 4475, date: '2014/07/03', }, { orderId: 10654, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 3980, date: '2014/07/21', }, { orderId: 10655, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 5240, date: '2014/07/11', }, { orderId: 10656, region: 'Asia', country: 'China', city: 'Beijing', amount: 1200, date: '2014/07/21', }, { orderId: 10657, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 5700, date: '2014/07/18', }, { orderId: 10658, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 5575, date: '2014/07/01', }, { orderId: 10659, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2160, date: '2014/07/02', }, { orderId: 10660, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 960, date: '2014/07/09', }, { orderId: 10661, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1280, date: '2014/07/04', }, { orderId: 10662, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1040, date: '2014/07/02', }, { orderId: 10663, region: 'Asia', country: 'China', city: 'Beijing', amount: 5520, date: '2014/07/21', }, { orderId: 10664, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1760, date: '2014/07/25', }, { orderId: 10665, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 4080, date: '2014/07/07', }, { orderId: 10666, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1000, date: '2014/07/21', }, { orderId: 10667, region: 'Asia', country: 'China', city: 'Beijing', amount: 3270, date: '2014/07/12', }, { orderId: 10668, region: 'North America', country: 'United States', city: 'New York', amount: 1770, date: '2014/08/23', }, { orderId: 10669, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 2700, date: '2014/08/09', }, { orderId: 10670, region: 'North America', country: 'United States', city: 'Denver', amount: 2175, date: '2014/08/03', }, { orderId: 10671, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3375, date: '2014/08/11', }, { orderId: 10672, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2040, date: '2014/08/01', }, { orderId: 10673, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3000, date: '2014/08/21', }, { orderId: 10674, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 3900, date: '2014/08/16', }, { orderId: 10675, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1370, date: '2014/08/20', }, { orderId: 10676, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 5700, date: '2014/08/01', }, { orderId: 10677, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 1275, date: '2014/08/22', }, { orderId: 10678, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 4060, date: '2014/08/13', }, { orderId: 10679, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2320, date: '2014/08/18', }, { orderId: 10680, region: 'Asia', country: 'China', city: 'Beijing', amount: 7590, date: '2014/08/24', }, { orderId: 10681, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 4560, date: '2014/08/20', }, { orderId: 10682, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 7575, date: '2014/08/20', }, { orderId: 10683, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 700, date: '2014/08/25', }, { orderId: 10684, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2400, date: '2014/08/16', }, { orderId: 10685, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1390, date: '2014/08/15', }, { orderId: 10686, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1320, date: '2014/08/09', }, { orderId: 10687, region: 'North America', country: 'United States', city: 'Denver', amount: 1680, date: '2014/08/09', }, { orderId: 10688, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1500, date: '2014/08/11', }, { orderId: 10689, region: 'North America', country: 'United States', city: 'New York', amount: 6150, date: '2014/09/21', }, { orderId: 10690, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 3675, date: '2014/09/02', }, { orderId: 10691, region: 'North America', country: 'United States', city: 'Denver', amount: 2250, date: '2014/09/05', }, { orderId: 10692, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 3585, date: '2014/09/10', }, { orderId: 10693, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1470, date: '2014/09/01', }, { orderId: 10694, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2260, date: '2014/09/02', }, { orderId: 10695, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 3765, date: '2014/09/03', }, { orderId: 10696, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1640, date: '2014/09/04', }, { orderId: 10697, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 4475, date: '2014/09/09', }, { orderId: 10698, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5975, date: '2014/09/04', }, { orderId: 10699, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 1100, date: '2014/09/16', }, { orderId: 10700, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1320, date: '2014/09/18', }, { orderId: 10701, region: 'Asia', country: 'China', city: 'Beijing', amount: 8610, date: '2014/09/19', }, { orderId: 10702, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 9210, date: '2014/09/09', }, { orderId: 10703, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3700, date: '2014/09/01', }, { orderId: 10704, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 3620, date: '2014/09/19', }, { orderId: 10705, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4275, date: '2014/09/01', }, { orderId: 10706, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2370, date: '2014/09/03', }, { orderId: 10707, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1870, date: '2014/09/10', }, { orderId: 10708, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2070, date: '2014/09/25', }, { orderId: 10709, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5025, date: '2014/09/19', }, { orderId: 10710, region: 'North America', country: 'United States', city: 'New York', amount: 1080, date: '2014/10/15', }, { orderId: 10711, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 1400, date: '2014/10/22', }, { orderId: 10712, region: 'North America', country: 'United States', city: 'Denver', amount: 4260, date: '2014/10/01', }, { orderId: 10713, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 2745, date: '2014/10/01', }, { orderId: 10714, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2920, date: '2014/10/23', }, { orderId: 10715, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3520, date: '2014/10/11', }, { orderId: 10716, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4035, date: '2014/10/20', }, { orderId: 10717, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1730, date: '2014/10/05', }, { orderId: 10718, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 975, date: '2014/10/06', }, { orderId: 10719, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5700, date: '2014/10/06', }, { orderId: 10720, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5080, date: '2014/10/18', }, { orderId: 10721, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2940, date: '2014/10/24', }, { orderId: 10722, region: 'Asia', country: 'China', city: 'Beijing', amount: 2670, date: '2014/10/04', }, { orderId: 10723, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1230, date: '2014/10/11', }, { orderId: 10724, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 600, date: '2014/10/08', }, { orderId: 10725, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 3700, date: '2014/10/08', }, { orderId: 10726, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3375, date: '2014/10/11', }, { orderId: 10727, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1500, date: '2014/10/17', }, { orderId: 10728, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 370, date: '2014/10/05', }, { orderId: 10729, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2340, date: '2014/10/16', }, { orderId: 10730, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1080, date: '2014/10/08', }, { orderId: 10731, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 2775, date: '2014/10/21', }, { orderId: 10732, region: 'North America', country: 'United States', city: 'New York', amount: 4380, date: '2014/11/09', }, { orderId: 10733, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 5500, date: '2014/11/21', }, { orderId: 10734, region: 'North America', country: 'United States', city: 'Denver', amount: 1920, date: '2014/11/24', }, { orderId: 10735, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 765, date: '2014/11/24', }, { orderId: 10736, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 370, date: '2014/11/18', }, { orderId: 10737, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3500, date: '2014/11/25', }, { orderId: 10738, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 825, date: '2014/11/09', }, { orderId: 10739, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 490, date: '2014/11/23', }, { orderId: 10740, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7075, date: '2014/11/20', }, { orderId: 10741, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 1350, date: '2014/11/25', }, { orderId: 10742, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 1440, date: '2014/11/15', }, { orderId: 10743, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2820, date: '2014/11/13', }, { orderId: 10744, region: 'Asia', country: 'China', city: 'Beijing', amount: 2280, date: '2014/11/12', }, { orderId: 10745, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1110, date: '2014/11/03', }, { orderId: 10746, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 1150, date: '2014/11/23', }, { orderId: 10747, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2040, date: '2014/11/20', }, { orderId: 10748, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3090, date: '2014/11/24', }, { orderId: 10749, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1940, date: '2014/11/24', }, { orderId: 10750, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 3090, date: '2014/11/16', }, { orderId: 10751, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4900, date: '2014/11/05', }, { orderId: 10752, region: 'North America', country: 'United States', city: 'Denver', amount: 3465, date: '2014/11/07', }, { orderId: 10753, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1110, date: '2014/11/20', }, { orderId: 10754, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1650, date: '2014/11/02', }, { orderId: 10755, region: 'North America', country: 'United States', city: 'New York', amount: 5280, date: '2014/12/04', }, { orderId: 10756, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 3075, date: '2014/12/02', }, { orderId: 10757, region: 'North America', country: 'United States', city: 'Denver', amount: 690, date: '2014/12/07', }, { orderId: 10758, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1305, date: '2014/12/15', }, { orderId: 10759, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1970, date: '2014/12/01', }, { orderId: 10760, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3760, date: '2014/12/18', }, { orderId: 10761, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1920, date: '2014/12/22', }, { orderId: 10762, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1360, date: '2014/12/12', }, { orderId: 10763, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 2525, date: '2014/12/06', }, { orderId: 10764, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 5575, date: '2014/12/20', }, { orderId: 10765, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5560, date: '2014/12/10', }, { orderId: 10766, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 4880, date: '2014/12/13', }, { orderId: 10767, region: 'Asia', country: 'China', city: 'Beijing', amount: 8850, date: '2014/12/03', }, { orderId: 10768, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 2820, date: '2014/12/10', }, { orderId: 10769, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 4000, date: '2014/12/12', }, { orderId: 10770, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 5820, date: '2014/12/02', }, { orderId: 10771, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 1275, date: '2014/12/12', }, { orderId: 10772, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1310, date: '2014/12/01', }, { orderId: 10773, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2180, date: '2014/12/26', }, { orderId: 10774, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4470, date: '2014/12/17', }, { orderId: 10775, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2990, date: '2014/12/15', }, { orderId: 10776, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 7650, date: '2014/12/18', }, { orderId: 10777, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 780, date: '2014/12/02', }, { orderId: 10778, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2970, date: '2014/12/13', }, { orderId: 10779, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1155, date: '2014/12/05', }, { orderId: 10780, region: 'North America', country: 'United States', city: 'New York', amount: 4470, date: '2015/01/10', }, { orderId: 10781, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 1125, date: '2015/01/21', }, { orderId: 10782, region: 'North America', country: 'United States', city: 'Denver', amount: 645, date: '2015/01/17', }, { orderId: 10783, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 675, date: '2015/01/05', }, { orderId: 10784, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2840, date: '2015/01/05', }, { orderId: 10785, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2660, date: '2015/01/04', }, { orderId: 10786, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4560, date: '2015/01/12', }, { orderId: 10787, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2880, date: '2015/01/20', }, { orderId: 10788, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 500, date: '2015/01/02', }, { orderId: 10789, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 3925, date: '2015/01/07', }, { orderId: 10790, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5660, date: '2015/01/18', }, { orderId: 10791, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1460, date: '2015/01/22', }, { orderId: 10792, region: 'Asia', country: 'China', city: 'Beijing', amount: 5040, date: '2015/01/10', }, { orderId: 10793, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 4830, date: '2015/01/13', }, { orderId: 10794, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3075, date: '2015/01/22', }, { orderId: 10795, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 3120, date: '2015/01/14', }, { orderId: 10796, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3525, date: '2015/01/23', }, { orderId: 10797, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1930, date: '2015/01/09', }, { orderId: 10798, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2890, date: '2015/01/02', }, { orderId: 10799, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 1545, date: '2015/01/17', }, { orderId: 10800, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3630, date: '2015/01/20', }, { orderId: 10801, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 4035, date: '2015/01/14', }, { orderId: 10802, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 345, date: '2015/01/06', }, { orderId: 10803, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 7000, date: '2015/01/07', }, { orderId: 10804, region: 'North America', country: 'United States', city: 'New York', amount: 3060, date: '2015/02/13', }, { orderId: 10805, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 6425, date: '2015/02/04', }, { orderId: 10806, region: 'North America', country: 'United States', city: 'Denver', amount: 615, date: '2015/02/22', }, { orderId: 10807, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1755, date: '2015/02/07', }, { orderId: 10808, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1540, date: '2015/02/21', }, { orderId: 10809, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 2820, date: '2015/02/24', }, { orderId: 10810, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4305, date: '2015/02/10', }, { orderId: 10811, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 1520, date: '2015/02/26', }, { orderId: 10812, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 4725, date: '2015/02/18', }, { orderId: 10813, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 6750, date: '2015/02/16', }, { orderId: 10814, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 5540, date: '2015/02/07', }, { orderId: 10815, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1880, date: '2015/02/24', }, { orderId: 10816, region: 'Asia', country: 'China', city: 'Beijing', amount: 6180, date: '2015/02/26', }, { orderId: 10817, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 9300, date: '2015/02/03', }, { orderId: 10818, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3700, date: '2015/02/26', }, { orderId: 10819, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 740, date: '2015/02/01', }, { orderId: 10820, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4755, date: '2015/02/23', }, { orderId: 10821, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2570, date: '2015/02/20', }, { orderId: 10822, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 2860, date: '2015/02/19', }, { orderId: 10823, region: 'North America', country: 'United States', city: 'New York', amount: 5430, date: '2015/03/21', }, { orderId: 10824, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 4525, date: '2015/03/21', }, { orderId: 10825, region: 'North America', country: 'United States', city: 'Denver', amount: 1515, date: '2015/03/10', }, { orderId: 10826, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 630, date: '2015/03/15', }, { orderId: 10827, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1310, date: '2015/03/01', }, { orderId: 10828, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3200, date: '2015/03/17', }, { orderId: 10829, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 3945, date: '2015/03/20', }, { orderId: 10830, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2990, date: '2015/03/18', }, { orderId: 10831, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 1125, date: '2015/03/22', }, { orderId: 10832, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7950, date: '2015/03/17', }, { orderId: 10833, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 2960, date: '2015/03/25', }, { orderId: 10834, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 6300, date: '2015/03/20', }, { orderId: 10835, region: 'Asia', country: 'China', city: 'Beijing', amount: 8670, date: '2015/03/07', }, { orderId: 10836, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3930, date: '2015/03/23', }, { orderId: 10837, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 6975, date: '2015/03/02', }, { orderId: 10838, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4220, date: '2015/03/17', }, { orderId: 10839, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 3090, date: '2015/03/25', }, { orderId: 10840, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2380, date: '2015/03/01', }, { orderId: 10841, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1510, date: '2015/03/07', }, { orderId: 10842, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 1020, date: '2015/03/19', }, { orderId: 10843, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 6700, date: '2015/03/26', }, { orderId: 10844, region: 'North America', country: 'United States', city: 'New York', amount: 4890, date: '2015/04/02', }, { orderId: 10845, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 7225, date: '2015/04/13', }, { orderId: 10846, region: 'North America', country: 'United States', city: 'Denver', amount: 795, date: '2015/04/07', }, { orderId: 10847, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1785, date: '2015/04/03', }, { orderId: 10848, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1850, date: '2015/04/03', }, { orderId: 10849, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 5120, date: '2015/04/12', }, { orderId: 10850, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 615, date: '2015/04/07', }, { orderId: 10851, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2860, date: '2015/04/05', }, { orderId: 10852, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 1525, date: '2015/04/24', }, { orderId: 10853, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7425, date: '2015/04/15', }, { orderId: 10854, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 6080, date: '2015/04/13', }, { orderId: 10855, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 2940, date: '2015/04/04', }, { orderId: 10856, region: 'Asia', country: 'China', city: 'Beijing', amount: 5580, date: '2015/04/16', }, { orderId: 10857, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 9390, date: '2015/04/19', }, { orderId: 10858, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3200, date: '2015/04/26', }, { orderId: 10859, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4380, date: '2015/04/05', }, { orderId: 10860, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 4725, date: '2015/04/06', }, { orderId: 10861, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 930, date: '2015/04/25', }, { orderId: 10862, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 1910, date: '2015/04/05', }, { orderId: 10863, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 2725, date: '2015/04/16', }, { orderId: 10864, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 4720, date: '2015/04/02', }, { orderId: 10865, region: 'Asia', country: 'China', city: 'Beijing', amount: 5190, date: '2015/04/10', }, { orderId: 10866, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 2800, date: '2015/04/26', }, { orderId: 10867, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 3780, date: '2015/04/24', }, { orderId: 10868, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 2340, date: '2015/04/17', }, { orderId: 10869, region: 'North America', country: 'United States', city: 'New York', amount: 4830, date: '2015/05/12', }, { orderId: 10870, region: 'North America', country: 'United States', city: 'Los Angeles', amount: 2075, date: '2015/05/23', }, { orderId: 10871, region: 'North America', country: 'United States', city: 'Denver', amount: 3420, date: '2015/05/21', }, { orderId: 10872, region: 'North America', country: 'Canada', city: 'Vancouver', amount: 1440, date: '2015/05/10', }, { orderId: 10873, region: 'North America', country: 'Canada', city: 'Edmonton', amount: 1680, date: '2015/05/15', }, { orderId: 10874, region: 'South America', country: 'Brazil', city: 'Rio de Janeiro', amount: 3440, date: '2015/05/16', }, { orderId: 10875, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 4695, date: '2015/05/10', }, { orderId: 10876, region: 'South America', country: 'Paraguay', city: 'Asuncion', amount: 2380, date: '2015/05/06', }, { orderId: 10877, region: 'Europe', country: 'United Kingdom', city: 'London', amount: 1875, date: '2015/05/25', }, { orderId: 10878, region: 'Europe', country: 'Germany', city: 'Berlin', amount: 7550, date: '2015/05/14', }, { orderId: 10879, region: 'Europe', country: 'Spain', city: 'Madrid', amount: 3340, date: '2015/05/01', }, { orderId: 10880, region: 'Europe', country: 'Russian Federation', city: 'Moscow', amount: 1400, date: '2015/05/22', }, { orderId: 10881, region: 'Asia', country: 'China', city: 'Beijing', amount: 6060, date: '2015/05/22', }, { orderId: 10882, region: 'Asia', country: 'Japan', city: 'Tokyo', amount: 8370, date: '2015/05/13', }, { orderId: 10883, region: 'Asia', country: 'Korea (Republic of)', city: 'Seoul', amount: 3550, date: '2015/05/26', }, { orderId: 10884, region: 'Australia', country: 'Australia', city: 'Sydney', amount: 2620, date: '2015/05/17', }, { orderId: 10885, region: 'Australia', country: 'Australia', city: 'Melbourne', amount: 2400, date: '2015/05/21', }, { orderId: 10886, region: 'Africa', country: 'South Africa', city: 'Pretoria', amount: 1740, date: '2015/05/21', }, { orderId: 10887, region: 'Africa', country: 'Egypt', city: 'Cairo', amount: 500, date: '2015/05/26', }, { orderId: 10888, region: 'South America', country: 'Argentina', city: 'Buenos Aires', amount: 780, date: '2015/05/07', }];

<div id="grid">
<dx-data-grid
id="grid-container"
[dataSource]="sales"
keyExpr="orderId"
[showBorders]="true"
>
<dxo-data-grid-selection
[selectAllMode]="allMode"
[showCheckBoxesMode]="checkBoxesMode"
mode="multiple"
></dxo-data-grid-selection>
<dxo-data-grid-paging [pageSize]="10"></dxo-data-grid-paging>
<dxo-data-grid-pager [visible]="true"></dxo-data-grid-pager>
<dxo-data-grid-filter-row [visible]="true"></dxo-data-grid-filter-row>
<dxi-data-grid-column
dataField="orderId"
caption="Order ID"
[width]="90"
></dxi-data-grid-column>
<dxi-data-grid-column dataField="city"></dxi-data-grid-column>
<dxi-data-grid-column
dataField="country"
[width]="180"
></dxi-data-grid-column>
<dxi-data-grid-column dataField="region"></dxi-data-grid-column>
<dxi-data-grid-column
dataField="date"
dataType="date"
></dxi-data-grid-column>
<dxi-data-grid-column
dataField="amount"
format="currency"
[width]="90"
></dxi-data-grid-column>
</dx-data-grid>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Select All Mode</span>
<dx-select-box
id="select-all-mode"
[dataSource]="['allPages', 'page']"
[inputAttr]="{ 'aria-label': 'Select All Mode' }"
[(value)]="allMode"
[disabled]="checkBoxesMode === 'none'"
></dx-select-box>
</div>
<div class="option checkboxes-mode">
<span>Show Checkboxes Mode</span>
<dx-select-box
id="show-checkboxes-mode"
[inputAttr]="{ 'aria-label': 'Show Checkboxes Mode' }"
[dataSource]="['none', 'onClick', 'onLongTap', 'always']"
[(value)]="checkBoxesMode"
></dx-select-box>
</div>
</div>
</div>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxDataGridModule, DxSelectBoxModule } from 'devextreme-angular';
import themes, { isGeneric } from 'devextreme/ui/themes';
import { Service, Sale } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
preserveWhitespaces: true,
imports: [
DxDataGridModule,
DxSelectBoxModule,
],
})
export class AppComponent {
sales: Sale[];
allMode: string;
checkBoxesMode: string;
constructor(service: Service) {
this.sales = service.getSales();
this.allMode = 'allPages';
this.checkBoxesMode = isGeneric(themes.current()) ? 'onClick' : 'always';
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
.options {
padding: 20px;
margin-top: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: relative;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
::ng-deep .checkboxes-mode {
position: absolute;
right: 20px;
bottom: 20px;
}
::ng-deep .option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
import { Injectable } from '@angular/core';
export class Sale {
orderId: number;
region: string;
country: string;
city: string;
amount: number;
date: string;
}
const sales: Sale[] = [{
orderId: 10248,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
orderId: 10249,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
orderId: 10250,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
orderId: 10251,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
orderId: 10252,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
orderId: 10253,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
orderId: 10254,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
orderId: 10255,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
orderId: 10256,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
orderId: 10257,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
orderId: 10258,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
orderId: 10259,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
orderId: 10260,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
orderId: 10261,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
orderId: 10262,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
orderId: 10263,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
orderId: 10264,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
orderId: 10265,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
orderId: 10266,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
orderId: 10267,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
orderId: 10268,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
orderId: 10269,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
orderId: 10270,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
orderId: 10271,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
orderId: 10272,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
orderId: 10273,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
orderId: 10274,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
orderId: 10275,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
orderId: 10276,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
orderId: 10277,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
orderId: 10278,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
orderId: 10279,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
orderId: 10280,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
orderId: 10281,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
orderId: 10282,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
orderId: 10283,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
orderId: 10284,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
orderId: 10285,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
orderId: 10286,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
orderId: 10287,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
orderId: 10288,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
orderId: 10289,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
orderId: 10290,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
orderId: 10291,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
orderId: 10292,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
orderId: 10293,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
orderId: 10294,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
orderId: 10295,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
orderId: 10296,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
orderId: 10297,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
orderId: 10298,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
orderId: 10299,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
orderId: 10300,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
orderId: 10301,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
orderId: 10302,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
orderId: 10303,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
orderId: 10304,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
orderId: 10305,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
orderId: 10306,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
orderId: 10307,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
orderId: 10308,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
orderId: 10309,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
orderId: 10310,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
orderId: 10311,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
orderId: 10312,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
orderId: 10313,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
orderId: 10314,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
orderId: 10315,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
orderId: 10316,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
orderId: 10317,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
orderId: 10318,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
orderId: 10319,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
orderId: 10320,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
orderId: 10321,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
orderId: 10322,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
orderId: 10323,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
orderId: 10324,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
orderId: 10325,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
orderId: 10326,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
orderId: 10327,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
orderId: 10328,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
orderId: 10329,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
orderId: 10330,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
orderId: 10331,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
orderId: 10332,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
orderId: 10333,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
orderId: 10334,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
orderId: 10335,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
orderId: 10336,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
orderId: 10337,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
orderId: 10338,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
orderId: 10339,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
orderId: 10340,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
orderId: 10341,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
orderId: 10342,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
orderId: 10343,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
orderId: 10344,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
orderId: 10345,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
orderId: 10346,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
orderId: 10347,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
orderId: 10348,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
orderId: 10349,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
orderId: 10350,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
orderId: 10351,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
orderId: 10352,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
orderId: 10353,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
orderId: 10354,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
orderId: 10355,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
orderId: 10356,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
orderId: 10357,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
orderId: 10358,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
orderId: 10359,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
orderId: 10360,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
orderId: 10361,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
orderId: 10362,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
orderId: 10363,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
orderId: 10364,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
orderId: 10365,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
orderId: 10366,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
orderId: 10367,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
orderId: 10368,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
orderId: 10369,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
orderId: 10370,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
orderId: 10371,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
orderId: 10372,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
orderId: 10373,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
orderId: 10374,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
orderId: 10375,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
orderId: 10376,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
orderId: 10377,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
orderId: 10378,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
orderId: 10379,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
orderId: 10380,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
orderId: 10381,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
orderId: 10382,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
orderId: 10383,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
orderId: 10384,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
orderId: 10385,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
orderId: 10386,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
orderId: 10387,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
orderId: 10388,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
orderId: 10389,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
orderId: 10390,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
orderId: 10391,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
orderId: 10392,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
orderId: 10393,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
orderId: 10394,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
orderId: 10395,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
orderId: 10396,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
orderId: 10397,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
orderId: 10398,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
orderId: 10399,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
orderId: 10400,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
orderId: 10401,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
orderId: 10402,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
orderId: 10403,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
orderId: 10404,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
orderId: 10405,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
orderId: 10406,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
orderId: 10407,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
orderId: 10408,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
orderId: 10409,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
orderId: 10410,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
orderId: 10411,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
orderId: 10412,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
orderId: 10413,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
orderId: 10414,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
orderId: 10415,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
orderId: 10416,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10417,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
orderId: 10418,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
orderId: 10419,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
orderId: 10420,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
orderId: 10421,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
orderId: 10422,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
orderId: 10423,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
orderId: 10424,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10425,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
orderId: 10426,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
orderId: 10427,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
orderId: 10428,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
orderId: 10429,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
orderId: 10430,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
orderId: 10431,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
orderId: 10432,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
orderId: 10433,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
orderId: 10434,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
orderId: 10435,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
orderId: 10436,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
orderId: 10437,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
orderId: 10438,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
orderId: 10439,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
orderId: 10440,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
orderId: 10441,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
orderId: 10442,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
orderId: 10443,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
orderId: 10444,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
orderId: 10445,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
orderId: 10446,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
orderId: 10447,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
orderId: 10448,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
orderId: 10449,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
orderId: 10450,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
orderId: 10451,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
orderId: 10452,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
orderId: 10453,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
orderId: 10454,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
orderId: 10455,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
orderId: 10456,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
orderId: 10457,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
orderId: 10458,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
orderId: 10459,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
orderId: 10460,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
orderId: 10461,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
orderId: 10462,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
orderId: 10463,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
orderId: 10464,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
orderId: 10465,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
orderId: 10466,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
orderId: 10467,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
orderId: 10468,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
orderId: 10469,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
orderId: 10470,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
orderId: 10471,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
orderId: 10472,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
orderId: 10473,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
orderId: 10474,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
orderId: 10475,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
orderId: 10476,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
orderId: 10477,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
orderId: 10478,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
orderId: 10479,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
orderId: 10480,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
orderId: 10481,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
orderId: 10482,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
orderId: 10483,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
orderId: 10484,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
orderId: 10485,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
orderId: 10486,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
orderId: 10487,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
orderId: 10488,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
orderId: 10489,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
orderId: 10490,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
orderId: 10491,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
orderId: 10492,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
orderId: 10493,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
orderId: 10494,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
orderId: 10495,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
orderId: 10496,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
orderId: 10497,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
orderId: 10498,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
orderId: 10499,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
orderId: 10500,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
orderId: 10501,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
orderId: 10502,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
orderId: 10503,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
orderId: 10504,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
orderId: 10505,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
orderId: 10506,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
orderId: 10507,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
orderId: 10508,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
orderId: 10509,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
orderId: 10510,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
orderId: 10511,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
orderId: 10512,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
orderId: 10513,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
orderId: 10514,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
orderId: 10515,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
orderId: 10516,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
orderId: 10517,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
orderId: 10518,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
orderId: 10519,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
orderId: 10520,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
orderId: 10521,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
orderId: 10522,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
orderId: 10523,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
orderId: 10524,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
orderId: 10525,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
orderId: 10526,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
orderId: 10527,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
orderId: 10528,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
orderId: 10529,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
orderId: 10530,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
orderId: 10531,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
orderId: 10532,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
orderId: 10533,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
orderId: 10534,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
orderId: 10535,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
orderId: 10536,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
orderId: 10537,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
orderId: 10538,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
orderId: 10539,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
orderId: 10540,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
orderId: 10541,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
orderId: 10542,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
orderId: 10543,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
orderId: 10544,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
orderId: 10545,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
orderId: 10546,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
orderId: 10547,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
orderId: 10548,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
orderId: 10549,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
orderId: 10550,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
orderId: 10551,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
orderId: 10552,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
orderId: 10553,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
orderId: 10554,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
orderId: 10555,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
orderId: 10556,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
orderId: 10557,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
orderId: 10558,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
orderId: 10559,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
orderId: 10560,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
orderId: 10561,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
orderId: 10562,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
orderId: 10563,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
orderId: 10564,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
orderId: 10565,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
orderId: 10566,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
orderId: 10567,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
orderId: 10568,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
orderId: 10569,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
orderId: 10570,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
orderId: 10571,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
orderId: 10572,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
orderId: 10573,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
orderId: 10574,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
orderId: 10575,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
orderId: 10576,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
orderId: 10577,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
orderId: 10578,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
orderId: 10579,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
orderId: 10580,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
orderId: 10581,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
orderId: 10582,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
orderId: 10583,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
orderId: 10584,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
orderId: 10585,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
orderId: 10586,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
orderId: 10587,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
orderId: 10588,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
orderId: 10589,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
orderId: 10590,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
orderId: 10591,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
orderId: 10592,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
orderId: 10593,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
orderId: 10594,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
orderId: 10595,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
orderId: 10596,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
orderId: 10597,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
orderId: 10598,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
orderId: 10599,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
orderId: 10600,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
orderId: 10601,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
orderId: 10602,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
orderId: 10603,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
orderId: 10604,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
orderId: 10605,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
orderId: 10606,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
orderId: 10607,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
orderId: 10608,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
orderId: 10609,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
orderId: 10610,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
orderId: 10611,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
orderId: 10612,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
orderId: 10613,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
orderId: 10614,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
orderId: 10615,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
orderId: 10616,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
orderId: 10617,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
orderId: 10618,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
orderId: 10619,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
orderId: 10620,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
orderId: 10621,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
orderId: 10622,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
orderId: 10623,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
orderId: 10624,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
orderId: 10625,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
orderId: 10626,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
orderId: 10627,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
orderId: 10628,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
orderId: 10629,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
orderId: 10630,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
orderId: 10631,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
orderId: 10632,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
orderId: 10633,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
orderId: 10634,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
orderId: 10635,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
orderId: 10636,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
orderId: 10637,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
orderId: 10638,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
orderId: 10639,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
orderId: 10640,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
orderId: 10641,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
orderId: 10642,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
orderId: 10643,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
orderId: 10644,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
orderId: 10645,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
orderId: 10646,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
orderId: 10647,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
orderId: 10648,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
orderId: 10649,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
orderId: 10650,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
orderId: 10651,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
orderId: 10652,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
orderId: 10653,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
orderId: 10654,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
orderId: 10655,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
orderId: 10656,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
orderId: 10657,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
orderId: 10658,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
orderId: 10659,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
orderId: 10660,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
orderId: 10661,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
orderId: 10662,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
orderId: 10663,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
orderId: 10664,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
orderId: 10665,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
orderId: 10666,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
orderId: 10667,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
orderId: 10668,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
orderId: 10669,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
orderId: 10670,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
orderId: 10671,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
orderId: 10672,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
orderId: 10673,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
orderId: 10674,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
orderId: 10675,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
orderId: 10676,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
orderId: 10677,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
orderId: 10678,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
orderId: 10679,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
orderId: 10680,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
orderId: 10681,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
orderId: 10682,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
orderId: 10683,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
orderId: 10684,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
orderId: 10685,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
orderId: 10686,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
orderId: 10687,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
orderId: 10688,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
orderId: 10689,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
orderId: 10690,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
orderId: 10691,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
orderId: 10692,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
orderId: 10693,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
orderId: 10694,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
orderId: 10695,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
orderId: 10696,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
orderId: 10697,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
orderId: 10698,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
orderId: 10699,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
orderId: 10700,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
orderId: 10701,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
orderId: 10702,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
orderId: 10703,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
orderId: 10704,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
orderId: 10705,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
orderId: 10706,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
orderId: 10707,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
orderId: 10708,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
orderId: 10709,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
orderId: 10710,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
orderId: 10711,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
orderId: 10712,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
orderId: 10713,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
orderId: 10714,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
orderId: 10715,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
orderId: 10716,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
orderId: 10717,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
orderId: 10718,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
orderId: 10719,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
orderId: 10720,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
orderId: 10721,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
orderId: 10722,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
orderId: 10723,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
orderId: 10724,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
orderId: 10725,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
orderId: 10726,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
orderId: 10727,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
orderId: 10728,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
orderId: 10729,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
orderId: 10730,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
orderId: 10731,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
orderId: 10732,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
orderId: 10733,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
orderId: 10734,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
orderId: 10735,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
orderId: 10736,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
orderId: 10737,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
orderId: 10738,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
orderId: 10739,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
orderId: 10740,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
orderId: 10741,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
orderId: 10742,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
orderId: 10743,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
orderId: 10744,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
orderId: 10745,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
orderId: 10746,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
orderId: 10747,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
orderId: 10748,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
orderId: 10749,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
orderId: 10750,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
orderId: 10751,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
orderId: 10752,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
orderId: 10753,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
orderId: 10754,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
orderId: 10755,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
orderId: 10756,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
orderId: 10757,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
orderId: 10758,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
orderId: 10759,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
orderId: 10760,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
orderId: 10761,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
orderId: 10762,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
orderId: 10763,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
orderId: 10764,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
orderId: 10765,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
orderId: 10766,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
orderId: 10767,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
orderId: 10768,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
orderId: 10769,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
orderId: 10770,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
orderId: 10771,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
orderId: 10772,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
orderId: 10773,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
orderId: 10774,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
orderId: 10775,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
orderId: 10776,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
orderId: 10777,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
orderId: 10778,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
orderId: 10779,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
orderId: 10780,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
orderId: 10781,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
orderId: 10782,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
orderId: 10783,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
orderId: 10784,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
orderId: 10785,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
orderId: 10786,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
orderId: 10787,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
orderId: 10788,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
orderId: 10789,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
orderId: 10790,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
orderId: 10791,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
orderId: 10792,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
orderId: 10793,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
orderId: 10794,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
orderId: 10795,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
orderId: 10796,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
orderId: 10797,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
orderId: 10798,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
orderId: 10799,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
orderId: 10800,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
orderId: 10801,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
orderId: 10802,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
orderId: 10803,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
orderId: 10804,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
orderId: 10805,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
orderId: 10806,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
orderId: 10807,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
orderId: 10808,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
orderId: 10809,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
orderId: 10810,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
orderId: 10811,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
orderId: 10812,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
orderId: 10813,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
orderId: 10814,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
orderId: 10815,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
orderId: 10816,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
orderId: 10817,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
orderId: 10818,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
orderId: 10819,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
orderId: 10820,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
orderId: 10821,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
@Injectable()
export class Service {
getSales(): Sale[] {
return sales;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.68',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.15.1/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.68/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"@angular/core": {
"version": "21.2.11"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "5.9.3"
},
"zone.js": {
"version": "0.15.1"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.7/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.15.1/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<DxDataGrid
:data-source="sales"
:show-borders="true"
key-expr="orderId"
>
<DxColumn
:width="90"
data-field="orderId"
caption="Order ID"
/>
<DxColumn data-field="city"/>
<DxColumn
:width="180"
data-field="country"
/>
<DxColumn data-field="region"/>
<DxColumn
data-field="date"
data-type="date"
/>
<DxColumn
:width="90"
data-field="amount"
format="currency"
/>
<DxPaging :page-size="10"/>
<DxPager :visible="true"/>
<DxSelection
:select-all-mode="allMode"
:show-check-boxes-mode="checkBoxesMode"
mode="multiple"
/>
<DxFilterRow :visible="true"/>
</DxDataGrid>
<div class="options">
<div class="caption">Options</div>
<div class="option">
<span>Select All Mode </span>
<DxSelectBox
id="select-all-mode"
:input-attr="{ 'aria-label': 'Select All Mode' }"
:data-source="selectAllModes"
:disabled="checkBoxesMode === 'none'"
v-model:value="allMode"
/>
</div>
<div class="option checkboxes-mode">
<span>Show Checkboxes Mode </span>
<DxSelectBox
id="show-checkboxes-mode"
:input-attr="{ 'aria-label': 'Show Checkboxes Mode' }"
:data-source="showCheckBoxesModes"
v-model:value="checkBoxesMode"
/>
</div>
</div>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import { DxSelectBox } from 'devextreme-vue/select-box';
import {
DxDataGrid,
DxColumn,
DxPaging,
DxSelection,
DxFilterRow,
DxPager,
type DxDataGridTypes,
} from 'devextreme-vue/data-grid';
import themes from 'devextreme/ui/themes';
import { sales } from './data.ts';
const selectAllModes: DxDataGridTypes.SelectAllMode[] = ['allPages', 'page'];
const showCheckBoxesModes: DxDataGridTypes.SelectionColumnDisplayMode[] = ['none', 'onClick', 'onLongTap', 'always'];
const allMode = ref(selectAllModes[0]);
const checkBoxesMode = ref<DxDataGridTypes.SelectionColumnDisplayMode>(themes.current().startsWith('material') ? 'always' : 'onClick');
</script>
<style scoped>
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: relative;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.checkboxes-mode {
position: absolute;
right: 20px;
bottom: 20px;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
map: {
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.6/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.24/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.64/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export type Sale = {
orderId: number;
region: string;
country: string;
city: string;
amount: number;
date: string;
};
export const sales: Sale[] = [{
orderId: 10248,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
orderId: 10249,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
orderId: 10250,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
orderId: 10251,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
orderId: 10252,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
orderId: 10253,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
orderId: 10254,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
orderId: 10255,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
orderId: 10256,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
orderId: 10257,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
orderId: 10258,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
orderId: 10259,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
orderId: 10260,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
orderId: 10261,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
orderId: 10262,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
orderId: 10263,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
orderId: 10264,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
orderId: 10265,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
orderId: 10266,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
orderId: 10267,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
orderId: 10268,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
orderId: 10269,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
orderId: 10270,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
orderId: 10271,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
orderId: 10272,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
orderId: 10273,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
orderId: 10274,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
orderId: 10275,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
orderId: 10276,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
orderId: 10277,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
orderId: 10278,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
orderId: 10279,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
orderId: 10280,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
orderId: 10281,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
orderId: 10282,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
orderId: 10283,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
orderId: 10284,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
orderId: 10285,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
orderId: 10286,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
orderId: 10287,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
orderId: 10288,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
orderId: 10289,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
orderId: 10290,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
orderId: 10291,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
orderId: 10292,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
orderId: 10293,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
orderId: 10294,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
orderId: 10295,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
orderId: 10296,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
orderId: 10297,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
orderId: 10298,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
orderId: 10299,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
orderId: 10300,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
orderId: 10301,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
orderId: 10302,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
orderId: 10303,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
orderId: 10304,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
orderId: 10305,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
orderId: 10306,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
orderId: 10307,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
orderId: 10308,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
orderId: 10309,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
orderId: 10310,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
orderId: 10311,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
orderId: 10312,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
orderId: 10313,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
orderId: 10314,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
orderId: 10315,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
orderId: 10316,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
orderId: 10317,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
orderId: 10318,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
orderId: 10319,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
orderId: 10320,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
orderId: 10321,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
orderId: 10322,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
orderId: 10323,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
orderId: 10324,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
orderId: 10325,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
orderId: 10326,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
orderId: 10327,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
orderId: 10328,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
orderId: 10329,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
orderId: 10330,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
orderId: 10331,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
orderId: 10332,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
orderId: 10333,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
orderId: 10334,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
orderId: 10335,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
orderId: 10336,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
orderId: 10337,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
orderId: 10338,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
orderId: 10339,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
orderId: 10340,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
orderId: 10341,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
orderId: 10342,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
orderId: 10343,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
orderId: 10344,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
orderId: 10345,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
orderId: 10346,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
orderId: 10347,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
orderId: 10348,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
orderId: 10349,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
orderId: 10350,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
orderId: 10351,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
orderId: 10352,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
orderId: 10353,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
orderId: 10354,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
orderId: 10355,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
orderId: 10356,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
orderId: 10357,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
orderId: 10358,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
orderId: 10359,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
orderId: 10360,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
orderId: 10361,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
orderId: 10362,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
orderId: 10363,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
orderId: 10364,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
orderId: 10365,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
orderId: 10366,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
orderId: 10367,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
orderId: 10368,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
orderId: 10369,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
orderId: 10370,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
orderId: 10371,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
orderId: 10372,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
orderId: 10373,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
orderId: 10374,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
orderId: 10375,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
orderId: 10376,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
orderId: 10377,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
orderId: 10378,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
orderId: 10379,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
orderId: 10380,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
orderId: 10381,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
orderId: 10382,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
orderId: 10383,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
orderId: 10384,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
orderId: 10385,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
orderId: 10386,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
orderId: 10387,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
orderId: 10388,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
orderId: 10389,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
orderId: 10390,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
orderId: 10391,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
orderId: 10392,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
orderId: 10393,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
orderId: 10394,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
orderId: 10395,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
orderId: 10396,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
orderId: 10397,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
orderId: 10398,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
orderId: 10399,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
orderId: 10400,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
orderId: 10401,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
orderId: 10402,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
orderId: 10403,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
orderId: 10404,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
orderId: 10405,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
orderId: 10406,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
orderId: 10407,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
orderId: 10408,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
orderId: 10409,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
orderId: 10410,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
orderId: 10411,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
orderId: 10412,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
orderId: 10413,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
orderId: 10414,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
orderId: 10415,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
orderId: 10416,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10417,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
orderId: 10418,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
orderId: 10419,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
orderId: 10420,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
orderId: 10421,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
orderId: 10422,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
orderId: 10423,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
orderId: 10424,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10425,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
orderId: 10426,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
orderId: 10427,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
orderId: 10428,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
orderId: 10429,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
orderId: 10430,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
orderId: 10431,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
orderId: 10432,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
orderId: 10433,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
orderId: 10434,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
orderId: 10435,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
orderId: 10436,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
orderId: 10437,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
orderId: 10438,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
orderId: 10439,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
orderId: 10440,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
orderId: 10441,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
orderId: 10442,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
orderId: 10443,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
orderId: 10444,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
orderId: 10445,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
orderId: 10446,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
orderId: 10447,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
orderId: 10448,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
orderId: 10449,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
orderId: 10450,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
orderId: 10451,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
orderId: 10452,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
orderId: 10453,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
orderId: 10454,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
orderId: 10455,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
orderId: 10456,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
orderId: 10457,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
orderId: 10458,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
orderId: 10459,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
orderId: 10460,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
orderId: 10461,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
orderId: 10462,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
orderId: 10463,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
orderId: 10464,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
orderId: 10465,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
orderId: 10466,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
orderId: 10467,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
orderId: 10468,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
orderId: 10469,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
orderId: 10470,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
orderId: 10471,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
orderId: 10472,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
orderId: 10473,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
orderId: 10474,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
orderId: 10475,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
orderId: 10476,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
orderId: 10477,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
orderId: 10478,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
orderId: 10479,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
orderId: 10480,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
orderId: 10481,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
orderId: 10482,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
orderId: 10483,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
orderId: 10484,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
orderId: 10485,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
orderId: 10486,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
orderId: 10487,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
orderId: 10488,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
orderId: 10489,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
orderId: 10490,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
orderId: 10491,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
orderId: 10492,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
orderId: 10493,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
orderId: 10494,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
orderId: 10495,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
orderId: 10496,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
orderId: 10497,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
orderId: 10498,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
orderId: 10499,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
orderId: 10500,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
orderId: 10501,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
orderId: 10502,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
orderId: 10503,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
orderId: 10504,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
orderId: 10505,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
orderId: 10506,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
orderId: 10507,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
orderId: 10508,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
orderId: 10509,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
orderId: 10510,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
orderId: 10511,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
orderId: 10512,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
orderId: 10513,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
orderId: 10514,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
orderId: 10515,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
orderId: 10516,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
orderId: 10517,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
orderId: 10518,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
orderId: 10519,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
orderId: 10520,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
orderId: 10521,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
orderId: 10522,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
orderId: 10523,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
orderId: 10524,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
orderId: 10525,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
orderId: 10526,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
orderId: 10527,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
orderId: 10528,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
orderId: 10529,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
orderId: 10530,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
orderId: 10531,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
orderId: 10532,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
orderId: 10533,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
orderId: 10534,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
orderId: 10535,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
orderId: 10536,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
orderId: 10537,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
orderId: 10538,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
orderId: 10539,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
orderId: 10540,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
orderId: 10541,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
orderId: 10542,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
orderId: 10543,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
orderId: 10544,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
orderId: 10545,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
orderId: 10546,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
orderId: 10547,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
orderId: 10548,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
orderId: 10549,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
orderId: 10550,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
orderId: 10551,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
orderId: 10552,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
orderId: 10553,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
orderId: 10554,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
orderId: 10555,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
orderId: 10556,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
orderId: 10557,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
orderId: 10558,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
orderId: 10559,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
orderId: 10560,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
orderId: 10561,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
orderId: 10562,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
orderId: 10563,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
orderId: 10564,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
orderId: 10565,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
orderId: 10566,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
orderId: 10567,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
orderId: 10568,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
orderId: 10569,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
orderId: 10570,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
orderId: 10571,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
orderId: 10572,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
orderId: 10573,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
orderId: 10574,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
orderId: 10575,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
orderId: 10576,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
orderId: 10577,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
orderId: 10578,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
orderId: 10579,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
orderId: 10580,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
orderId: 10581,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
orderId: 10582,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
orderId: 10583,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
orderId: 10584,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
orderId: 10585,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
orderId: 10586,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
orderId: 10587,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
orderId: 10588,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
orderId: 10589,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
orderId: 10590,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
orderId: 10591,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
orderId: 10592,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
orderId: 10593,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
orderId: 10594,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
orderId: 10595,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
orderId: 10596,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
orderId: 10597,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
orderId: 10598,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
orderId: 10599,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
orderId: 10600,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
orderId: 10601,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
orderId: 10602,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
orderId: 10603,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
orderId: 10604,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
orderId: 10605,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
orderId: 10606,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
orderId: 10607,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
orderId: 10608,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
orderId: 10609,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
orderId: 10610,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
orderId: 10611,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
orderId: 10612,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
orderId: 10613,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
orderId: 10614,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
orderId: 10615,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
orderId: 10616,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
orderId: 10617,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
orderId: 10618,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
orderId: 10619,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
orderId: 10620,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
orderId: 10621,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
orderId: 10622,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
orderId: 10623,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
orderId: 10624,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
orderId: 10625,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
orderId: 10626,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
orderId: 10627,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
orderId: 10628,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
orderId: 10629,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
orderId: 10630,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
orderId: 10631,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
orderId: 10632,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
orderId: 10633,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
orderId: 10634,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
orderId: 10635,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
orderId: 10636,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
orderId: 10637,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
orderId: 10638,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
orderId: 10639,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
orderId: 10640,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
orderId: 10641,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
orderId: 10642,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
orderId: 10643,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
orderId: 10644,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
orderId: 10645,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
orderId: 10646,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
orderId: 10647,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
orderId: 10648,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
orderId: 10649,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
orderId: 10650,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
orderId: 10651,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
orderId: 10652,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
orderId: 10653,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
orderId: 10654,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
orderId: 10655,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
orderId: 10656,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
orderId: 10657,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
orderId: 10658,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
orderId: 10659,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
orderId: 10660,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
orderId: 10661,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
orderId: 10662,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
orderId: 10663,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
orderId: 10664,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
orderId: 10665,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
orderId: 10666,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
orderId: 10667,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
orderId: 10668,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
orderId: 10669,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
orderId: 10670,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
orderId: 10671,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
orderId: 10672,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
orderId: 10673,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
orderId: 10674,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
orderId: 10675,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
orderId: 10676,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
orderId: 10677,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
orderId: 10678,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
orderId: 10679,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
orderId: 10680,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
orderId: 10681,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
orderId: 10682,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
orderId: 10683,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
orderId: 10684,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
orderId: 10685,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
orderId: 10686,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
orderId: 10687,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
orderId: 10688,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
orderId: 10689,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
orderId: 10690,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
orderId: 10691,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
orderId: 10692,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
orderId: 10693,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
orderId: 10694,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
orderId: 10695,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
orderId: 10696,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
orderId: 10697,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
orderId: 10698,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
orderId: 10699,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
orderId: 10700,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
orderId: 10701,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
orderId: 10702,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
orderId: 10703,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
orderId: 10704,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
orderId: 10705,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
orderId: 10706,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
orderId: 10707,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
orderId: 10708,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
orderId: 10709,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
orderId: 10710,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
orderId: 10711,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
orderId: 10712,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
orderId: 10713,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
orderId: 10714,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
orderId: 10715,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
orderId: 10716,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
orderId: 10717,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
orderId: 10718,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
orderId: 10719,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
orderId: 10720,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
orderId: 10721,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
orderId: 10722,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
orderId: 10723,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
orderId: 10724,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
orderId: 10725,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
orderId: 10726,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
orderId: 10727,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
orderId: 10728,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
orderId: 10729,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
orderId: 10730,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
orderId: 10731,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
orderId: 10732,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
orderId: 10733,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
orderId: 10734,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
orderId: 10735,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
orderId: 10736,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
orderId: 10737,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
orderId: 10738,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
orderId: 10739,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
orderId: 10740,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
orderId: 10741,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
orderId: 10742,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
orderId: 10743,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
orderId: 10744,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
orderId: 10745,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
orderId: 10746,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
orderId: 10747,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
orderId: 10748,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
orderId: 10749,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
orderId: 10750,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
orderId: 10751,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
orderId: 10752,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
orderId: 10753,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
orderId: 10754,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
orderId: 10755,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
orderId: 10756,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
orderId: 10757,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
orderId: 10758,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
orderId: 10759,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
orderId: 10760,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
orderId: 10761,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
orderId: 10762,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
orderId: 10763,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
orderId: 10764,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
orderId: 10765,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
orderId: 10766,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
orderId: 10767,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
orderId: 10768,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
orderId: 10769,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
orderId: 10770,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
orderId: 10771,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
orderId: 10772,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
orderId: 10773,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
orderId: 10774,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
orderId: 10775,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
orderId: 10776,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
orderId: 10777,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
orderId: 10778,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
orderId: 10779,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
orderId: 10780,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
orderId: 10781,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
orderId: 10782,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
orderId: 10783,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
orderId: 10784,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
orderId: 10785,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
orderId: 10786,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
orderId: 10787,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
orderId: 10788,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
orderId: 10789,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
orderId: 10790,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
orderId: 10791,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
orderId: 10792,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
orderId: 10793,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
orderId: 10794,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
orderId: 10795,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
orderId: 10796,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
orderId: 10797,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
orderId: 10798,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
orderId: 10799,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
orderId: 10800,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
orderId: 10801,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
orderId: 10802,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
orderId: 10803,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
orderId: 10804,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
orderId: 10805,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
orderId: 10806,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
orderId: 10807,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
orderId: 10808,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
orderId: 10809,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
orderId: 10810,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
orderId: 10811,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
orderId: 10812,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
orderId: 10813,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
orderId: 10814,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
orderId: 10815,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
orderId: 10816,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
orderId: 10817,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
orderId: 10818,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
orderId: 10819,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
orderId: 10820,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
orderId: 10821,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.1.6/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.4.5/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

Multiple Record Selection
This demo sets selection.mode to "multiple". This allows users to select multiple rows using checkboxes or keyboard shortcuts.
To configure when the checkboxes appear, set the showCheckBoxesMode property.
The checkbox in the header selects all rows or current page rows, depending on the selectAllMode value. If you want to disable this checkbox, set allowSelectAll to false.
In this demo, you can use the drop-down menus under the grid to change the showCheckBoxesMode and selectAllMode values.
Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React from 'react';
import DataGrid, {
Column,
Selection,
FilterRow,
Paging,
} from 'devextreme-react/data-grid';
import { SelectBox } from 'devextreme-react/select-box';
import themes from 'devextreme/ui/themes';
import { sales, showCheckboxesModeLabel, selectAllModeLabel } from './data.js';
const showCheckBoxesModes = ['none', 'onClick', 'onLongTap', 'always'];
const selectAllModes = ['allPages', 'page'];
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
allMode: 'allPages',
checkBoxesMode: themes.current().startsWith('material') ? 'always' : 'onClick',
};
this.onCheckBoxesModeChanged = this.onCheckBoxesModeChanged.bind(this);
this.onAllModeChanged = this.onAllModeChanged.bind(this);
}
render() {
const { allMode, checkBoxesMode } = this.state;
return (
<div>
<DataGrid
dataSource={sales}
showBorders={true}
keyExpr="orderId"
>
<Selection
mode="multiple"
selectAllMode={allMode}
showCheckBoxesMode={checkBoxesMode}
/>
<FilterRow visible={true} />
<Paging defaultPageSize={10} />
<Column dataField="orderId" caption="Order ID" width={90} />
<Column dataField="city" />
<Column dataField="country" width={180} />
<Column dataField="region" />
<Column dataField="date" dataType="date" />
<Column dataField="amount" format="currency" width={90} />
</DataGrid>
<div className="options">
<div className="caption">Options</div>
<div className="option">
<span>Select All Mode </span>
<SelectBox
id="select-all-mode"
dataSource={selectAllModes}
value={allMode}
inputAttr={selectAllModeLabel}
disabled={checkBoxesMode === 'none'}
onValueChanged={this.onAllModeChanged}
/>
</div>
<div className="option checkboxes-mode">
<span>Show Checkboxes Mode </span>
<SelectBox
id="show-checkboxes-mode"
inputAttr={showCheckboxesModeLabel}
dataSource={showCheckBoxesModes}
value={checkBoxesMode}
onValueChanged={this.onCheckBoxesModeChanged}
/>
</div>
</div>
</div>
);
}
onCheckBoxesModeChanged({ value }) {
this.setState({ checkBoxesMode: value });
}
onAllModeChanged({ value }) {
this.setState({ allMode: value });
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.options {
margin-top: 20px;
padding: 20px;
background-color: rgba(191, 191, 191, 0.15);
position: relative;
}
.caption {
font-size: 18px;
font-weight: 500;
}
.option {
margin-top: 10px;
}
.checkboxes-mode {
position: absolute;
right: 20px;
bottom: 20px;
}
.option > .dx-selectbox {
width: 150px;
display: inline-block;
vertical-align: middle;
}
.option > span {
margin-right: 10px;
}
export const sales = [{
orderId: 10248,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/01/06',
}, {
orderId: 10249,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 850,
date: '2013/01/13',
}, {
orderId: 10250,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2235,
date: '2013/01/07',
}, {
orderId: 10251,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1965,
date: '2013/01/03',
}, {
orderId: 10252,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 880,
date: '2013/01/10',
}, {
orderId: 10253,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5260,
date: '2013/01/17',
}, {
orderId: 10254,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2790,
date: '2013/01/21',
}, {
orderId: 10255,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 3140,
date: '2013/01/01',
}, {
orderId: 10256,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6175,
date: '2013/01/24',
}, {
orderId: 10257,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4575,
date: '2013/01/11',
}, {
orderId: 10258,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3680,
date: '2013/01/12',
}, {
orderId: 10259,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2260,
date: '2013/01/01',
}, {
orderId: 10260,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2910,
date: '2013/01/26',
}, {
orderId: 10261,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8400,
date: '2013/01/05',
}, {
orderId: 10262,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1325,
date: '2013/01/14',
}, {
orderId: 10263,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3920,
date: '2013/01/05',
}, {
orderId: 10264,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2220,
date: '2013/01/15',
}, {
orderId: 10265,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 940,
date: '2013/01/01',
}, {
orderId: 10266,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1630,
date: '2013/01/10',
}, {
orderId: 10267,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2910,
date: '2013/01/23',
}, {
orderId: 10268,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2600,
date: '2013/01/14',
}, {
orderId: 10269,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4340,
date: '2013/01/26',
}, {
orderId: 10270,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6650,
date: '2013/01/24',
}, {
orderId: 10271,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 490,
date: '2013/01/22',
}, {
orderId: 10272,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3390,
date: '2013/01/25',
}, {
orderId: 10273,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5160,
date: '2013/02/20',
}, {
orderId: 10274,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5750,
date: '2013/02/12',
}, {
orderId: 10275,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2805,
date: '2013/02/13',
}, {
orderId: 10276,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2505,
date: '2013/02/09',
}, {
orderId: 10277,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 930,
date: '2013/02/04',
}, {
orderId: 10278,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1240,
date: '2013/02/03',
}, {
orderId: 10279,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 315,
date: '2013/02/04',
}, {
orderId: 10280,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2870,
date: '2013/02/18',
}, {
orderId: 10281,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5150,
date: '2013/02/18',
}, {
orderId: 10282,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2725,
date: '2013/02/20',
}, {
orderId: 10283,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2840,
date: '2013/02/04',
}, {
orderId: 10284,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5840,
date: '2013/02/13',
}, {
orderId: 10285,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6750,
date: '2013/02/11',
}, {
orderId: 10286,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1200,
date: '2013/02/03',
}, {
orderId: 10287,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4550,
date: '2013/02/08',
}, {
orderId: 10288,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 6040,
date: '2013/02/17',
}, {
orderId: 10289,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2205,
date: '2013/02/08',
}, {
orderId: 10290,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 990,
date: '2013/02/20',
}, {
orderId: 10291,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 700,
date: '2013/02/11',
}, {
orderId: 10292,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2325,
date: '2013/02/15',
}, {
orderId: 10293,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 930,
date: '2013/02/21',
}, {
orderId: 10294,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1560,
date: '2013/02/04',
}, {
orderId: 10295,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1740,
date: '2013/03/04',
}, {
orderId: 10296,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3575,
date: '2013/03/20',
}, {
orderId: 10297,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4500,
date: '2013/03/04',
}, {
orderId: 10298,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1605,
date: '2013/03/17',
}, {
orderId: 10299,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 800,
date: '2013/03/21',
}, {
orderId: 10300,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 640,
date: '2013/03/08',
}, {
orderId: 10301,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 735,
date: '2013/03/19',
}, {
orderId: 10302,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2520,
date: '2013/03/20',
}, {
orderId: 10303,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 6675,
date: '2013/03/18',
}, {
orderId: 10304,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3625,
date: '2013/03/25',
}, {
orderId: 10305,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1200,
date: '2013/03/07',
}, {
orderId: 10306,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2000,
date: '2013/03/07',
}, {
orderId: 10307,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1410,
date: '2013/03/10',
}, {
orderId: 10308,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2700,
date: '2013/03/19',
}, {
orderId: 10309,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5950,
date: '2013/03/24',
}, {
orderId: 10310,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5120,
date: '2013/03/08',
}, {
orderId: 10311,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/03/17',
}, {
orderId: 10312,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2013/03/08',
}, {
orderId: 10313,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 980,
date: '2013/03/21',
}, {
orderId: 10314,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5460,
date: '2013/03/19',
}, {
orderId: 10315,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3800,
date: '2013/03/12',
}, {
orderId: 10316,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2610,
date: '2013/03/04',
}, {
orderId: 10317,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3080,
date: '2013/03/22',
}, {
orderId: 10318,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2010,
date: '2013/03/23',
}, {
orderId: 10319,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1200,
date: '2013/03/04',
}, {
orderId: 10320,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7680,
date: '2013/04/15',
}, {
orderId: 10321,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1325,
date: '2013/04/07',
}, {
orderId: 10322,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2835,
date: '2013/04/10',
}, {
orderId: 10323,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3660,
date: '2013/04/10',
}, {
orderId: 10324,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 390,
date: '2013/04/12',
}, {
orderId: 10325,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4420,
date: '2013/04/08',
}, {
orderId: 10326,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1755,
date: '2013/04/13',
}, {
orderId: 10327,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2580,
date: '2013/04/15',
}, {
orderId: 10328,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 850,
date: '2013/04/01',
}, {
orderId: 10329,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 2825,
date: '2013/04/10',
}, {
orderId: 10330,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 540,
date: '2013/04/06',
}, {
orderId: 10331,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1520,
date: '2013/04/08',
}, {
orderId: 10332,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8760,
date: '2013/04/26',
}, {
orderId: 10333,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2013/04/16',
}, {
orderId: 10334,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6850,
date: '2013/04/19',
}, {
orderId: 10335,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1940,
date: '2013/04/23',
}, {
orderId: 10336,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2013/04/21',
}, {
orderId: 10337,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3090,
date: '2013/04/03',
}, {
orderId: 10338,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1640,
date: '2013/04/24',
}, {
orderId: 10339,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3585,
date: '2013/04/01',
}, {
orderId: 10340,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1770,
date: '2013/04/01',
}, {
orderId: 10341,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4005,
date: '2013/04/04',
}, {
orderId: 10342,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2870,
date: '2013/04/02',
}, {
orderId: 10343,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/04/20',
}, {
orderId: 10344,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8640,
date: '2013/05/14',
}, {
orderId: 10345,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5450,
date: '2013/05/24',
}, {
orderId: 10346,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2535,
date: '2013/05/07',
}, {
orderId: 10347,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1155,
date: '2013/05/20',
}, {
orderId: 10348,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2013/05/18',
}, {
orderId: 10349,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2013/05/19',
}, {
orderId: 10350,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1215,
date: '2013/05/23',
}, {
orderId: 10351,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1210,
date: '2013/05/08',
}, {
orderId: 10352,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2013/05/25',
}, {
orderId: 10353,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5400,
date: '2013/05/03',
}, {
orderId: 10354,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5940,
date: '2013/05/25',
}, {
orderId: 10355,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4700,
date: '2013/05/03',
}, {
orderId: 10356,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5520,
date: '2013/05/12',
}, {
orderId: 10357,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2013/05/22',
}, {
orderId: 10358,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7950,
date: '2013/05/12',
}, {
orderId: 10359,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3740,
date: '2013/05/24',
}, {
orderId: 10360,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 990,
date: '2013/05/02',
}, {
orderId: 10361,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 3190,
date: '2013/05/03',
}, {
orderId: 10362,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2430,
date: '2013/05/11',
}, {
orderId: 10363,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7380,
date: '2013/06/15',
}, {
orderId: 10364,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4475,
date: '2013/06/08',
}, {
orderId: 10365,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1290,
date: '2013/06/10',
}, {
orderId: 10366,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2250,
date: '2013/06/10',
}, {
orderId: 10367,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 350,
date: '2013/06/22',
}, {
orderId: 10368,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5480,
date: '2013/06/24',
}, {
orderId: 10369,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2355,
date: '2013/06/10',
}, {
orderId: 10370,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1960,
date: '2013/06/23',
}, {
orderId: 10371,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4125,
date: '2013/06/06',
}, {
orderId: 10372,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7925,
date: '2013/06/12',
}, {
orderId: 10373,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1120,
date: '2013/06/22',
}, {
orderId: 10374,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5100,
date: '2013/06/01',
}, {
orderId: 10375,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1500,
date: '2013/06/25',
}, {
orderId: 10376,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5130,
date: '2013/06/10',
}, {
orderId: 10377,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2475,
date: '2013/06/10',
}, {
orderId: 10378,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2100,
date: '2013/06/06',
}, {
orderId: 10379,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3570,
date: '2013/06/10',
}, {
orderId: 10380,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 550,
date: '2013/06/02',
}, {
orderId: 10381,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2850,
date: '2013/06/26',
}, {
orderId: 10382,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4280,
date: '2013/06/19',
}, {
orderId: 10383,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1460,
date: '2013/06/17',
}, {
orderId: 10384,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 960,
date: '2013/06/17',
}, {
orderId: 10385,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1520,
date: '2013/06/03',
}, {
orderId: 10386,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6750,
date: '2013/06/21',
}, {
orderId: 10387,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7260,
date: '2013/07/14',
}, {
orderId: 10388,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2450,
date: '2013/07/11',
}, {
orderId: 10389,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3540,
date: '2013/07/02',
}, {
orderId: 10390,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/07/03',
}, {
orderId: 10391,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 360,
date: '2013/07/07',
}, {
orderId: 10392,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4500,
date: '2013/07/03',
}, {
orderId: 10393,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4575,
date: '2013/07/21',
}, {
orderId: 10394,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2310,
date: '2013/07/18',
}, {
orderId: 10395,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2013/07/04',
}, {
orderId: 10396,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3575,
date: '2013/07/23',
}, {
orderId: 10397,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 760,
date: '2013/07/01',
}, {
orderId: 10398,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2400,
date: '2013/07/11',
}, {
orderId: 10399,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 3330,
date: '2013/07/04',
}, {
orderId: 10400,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3480,
date: '2013/07/23',
}, {
orderId: 10401,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4875,
date: '2013/07/11',
}, {
orderId: 10402,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4980,
date: '2013/07/19',
}, {
orderId: 10403,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2580,
date: '2013/07/04',
}, {
orderId: 10404,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2650,
date: '2013/07/16',
}, {
orderId: 10405,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1190,
date: '2013/07/02',
}, {
orderId: 10406,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 960,
date: '2013/07/26',
}, {
orderId: 10407,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3600,
date: '2013/08/08',
}, {
orderId: 10408,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2250,
date: '2013/08/01',
}, {
orderId: 10409,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1275,
date: '2013/08/02',
}, {
orderId: 10410,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3885,
date: '2013/08/14',
}, {
orderId: 10411,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1900,
date: '2013/08/05',
}, {
orderId: 10412,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2300,
date: '2013/08/09',
}, {
orderId: 10413,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2895,
date: '2013/08/15',
}, {
orderId: 10414,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 350,
date: '2013/08/20',
}, {
orderId: 10415,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4200,
date: '2013/08/22',
}, {
orderId: 10416,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7175,
date: '2013/08/14',
}, {
orderId: 10417,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4420,
date: '2013/08/24',
}, {
orderId: 10418,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5200,
date: '2013/08/21',
}, {
orderId: 10419,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7920,
date: '2013/08/17',
}, {
orderId: 10420,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 6990,
date: '2013/08/22',
}, {
orderId: 10421,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2125,
date: '2013/08/05',
}, {
orderId: 10422,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2220,
date: '2013/08/16',
}, {
orderId: 10423,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1575,
date: '2013/08/23',
}, {
orderId: 10424,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1880,
date: '2013/08/12',
}, {
orderId: 10425,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 710,
date: '2013/08/25',
}, {
orderId: 10426,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/08/20',
}, {
orderId: 10427,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4635,
date: '2013/08/04',
}, {
orderId: 10428,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4350,
date: '2013/08/19',
}, {
orderId: 10429,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 6020,
date: '2013/08/02',
}, {
orderId: 10430,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3660,
date: '2013/08/19',
}, {
orderId: 10431,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2013/08/24',
}, {
orderId: 10432,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4410,
date: '2013/09/12',
}, {
orderId: 10433,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1725,
date: '2013/09/07',
}, {
orderId: 10434,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2715,
date: '2013/09/14',
}, {
orderId: 10435,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10436,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2310,
date: '2013/09/12',
}, {
orderId: 10437,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 780,
date: '2013/09/08',
}, {
orderId: 10438,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2370,
date: '2013/09/19',
}, {
orderId: 10439,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1410,
date: '2013/09/09',
}, {
orderId: 10440,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1825,
date: '2013/09/23',
}, {
orderId: 10441,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4075,
date: '2013/09/06',
}, {
orderId: 10442,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1020,
date: '2013/09/04',
}, {
orderId: 10443,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4320,
date: '2013/09/25',
}, {
orderId: 10444,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7530,
date: '2013/09/13',
}, {
orderId: 10445,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2013/09/08',
}, {
orderId: 10446,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3050,
date: '2013/09/04',
}, {
orderId: 10447,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5080,
date: '2013/09/25',
}, {
orderId: 10448,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1125,
date: '2013/09/13',
}, {
orderId: 10449,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 850,
date: '2013/09/24',
}, {
orderId: 10450,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1440,
date: '2013/09/19',
}, {
orderId: 10451,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1950,
date: '2013/09/02',
}, {
orderId: 10452,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6390,
date: '2013/10/11',
}, {
orderId: 10453,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/10/02',
}, {
orderId: 10454,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3510,
date: '2013/10/24',
}, {
orderId: 10455,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2730,
date: '2013/10/15',
}, {
orderId: 10456,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2070,
date: '2013/10/15',
}, {
orderId: 10457,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2320,
date: '2013/10/18',
}, {
orderId: 10458,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4260,
date: '2013/10/24',
}, {
orderId: 10459,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 840,
date: '2013/10/18',
}, {
orderId: 10460,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7300,
date: '2013/10/24',
}, {
orderId: 10461,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5950,
date: '2013/10/11',
}, {
orderId: 10462,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3220,
date: '2013/10/25',
}, {
orderId: 10463,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3480,
date: '2013/10/08',
}, {
orderId: 10464,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 4830,
date: '2013/10/26',
}, {
orderId: 10465,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4470,
date: '2013/10/05',
}, {
orderId: 10466,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3675,
date: '2013/10/23',
}, {
orderId: 10467,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4260,
date: '2013/10/01',
}, {
orderId: 10468,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4245,
date: '2013/10/26',
}, {
orderId: 10469,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1470,
date: '2013/10/01',
}, {
orderId: 10470,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1810,
date: '2013/10/02',
}, {
orderId: 10471,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 600,
date: '2013/10/23',
}, {
orderId: 10472,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7500,
date: '2013/11/03',
}, {
orderId: 10473,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4625,
date: '2013/11/02',
}, {
orderId: 10474,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/11/09',
}, {
orderId: 10475,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2013/11/15',
}, {
orderId: 10476,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2420,
date: '2013/11/15',
}, {
orderId: 10477,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4180,
date: '2013/11/15',
}, {
orderId: 10478,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3720,
date: '2013/11/25',
}, {
orderId: 10479,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2730,
date: '2013/11/08',
}, {
orderId: 10480,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3775,
date: '2013/11/17',
}, {
orderId: 10481,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3525,
date: '2013/11/15',
}, {
orderId: 10482,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5320,
date: '2013/11/08',
}, {
orderId: 10483,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5340,
date: '2013/11/13',
}, {
orderId: 10484,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8850,
date: '2013/11/01',
}, {
orderId: 10485,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7050,
date: '2013/11/14',
}, {
orderId: 10486,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4200,
date: '2013/11/18',
}, {
orderId: 10487,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4960,
date: '2013/11/04',
}, {
orderId: 10488,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2280,
date: '2013/11/13',
}, {
orderId: 10489,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 590,
date: '2013/11/11',
}, {
orderId: 10490,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 810,
date: '2013/11/12',
}, {
orderId: 10491,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2625,
date: '2013/11/07',
}, {
orderId: 10492,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 8280,
date: '2013/12/01',
}, {
orderId: 10493,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5650,
date: '2013/12/19',
}, {
orderId: 10494,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2760,
date: '2013/12/14',
}, {
orderId: 10495,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2670,
date: '2013/12/03',
}, {
orderId: 10496,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2520,
date: '2013/12/20',
}, {
orderId: 10497,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4080,
date: '2013/12/21',
}, {
orderId: 10498,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4140,
date: '2013/12/22',
}, {
orderId: 10499,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 390,
date: '2013/12/04',
}, {
orderId: 10500,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1400,
date: '2013/12/19',
}, {
orderId: 10501,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7275,
date: '2013/12/22',
}, {
orderId: 10502,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4100,
date: '2013/12/20',
}, {
orderId: 10503,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5520,
date: '2013/12/25',
}, {
orderId: 10504,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 9210,
date: '2013/12/24',
}, {
orderId: 10505,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 7290,
date: '2013/12/05',
}, {
orderId: 10506,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 625,
date: '2013/12/22',
}, {
orderId: 10507,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4460,
date: '2013/12/12',
}, {
orderId: 10508,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3825,
date: '2013/12/13',
}, {
orderId: 10509,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2850,
date: '2013/12/17',
}, {
orderId: 10510,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2780,
date: '2013/12/07',
}, {
orderId: 10511,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 840,
date: '2013/12/18',
}, {
orderId: 10512,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2970,
date: '2013/12/23',
}, {
orderId: 10513,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 945,
date: '2013/12/06',
}, {
orderId: 10514,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2625,
date: '2013/12/04',
}, {
orderId: 10515,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 390,
date: '2013/12/01',
}, {
orderId: 10516,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2250,
date: '2013/12/02',
}, {
orderId: 10517,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 7710,
date: '2014/01/18',
}, {
orderId: 10518,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7975,
date: '2014/01/10',
}, {
orderId: 10519,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3285,
date: '2014/01/13',
}, {
orderId: 10520,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2580,
date: '2014/01/22',
}, {
orderId: 10521,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2160,
date: '2014/01/26',
}, {
orderId: 10522,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1100,
date: '2014/01/25',
}, {
orderId: 10523,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4425,
date: '2014/01/21',
}, {
orderId: 10524,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/01/22',
}, {
orderId: 10525,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 3250,
date: '2014/01/14',
}, {
orderId: 10526,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5550,
date: '2014/01/21',
}, {
orderId: 10527,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2860,
date: '2014/01/25',
}, {
orderId: 10528,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5320,
date: '2014/01/08',
}, {
orderId: 10529,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 4050,
date: '2014/01/14',
}, {
orderId: 10530,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3450,
date: '2014/01/24',
}, {
orderId: 10531,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5425,
date: '2014/01/11',
}, {
orderId: 10532,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4860,
date: '2014/01/12',
}, {
orderId: 10533,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4695,
date: '2014/01/16',
}, {
orderId: 10534,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 610,
date: '2014/01/05',
}, {
orderId: 10535,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1580,
date: '2014/01/15',
}, {
orderId: 10536,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3780,
date: '2014/02/18',
}, {
orderId: 10537,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5400,
date: '2014/02/21',
}, {
orderId: 10538,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 630,
date: '2014/02/18',
}, {
orderId: 10539,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3960,
date: '2014/02/04',
}, {
orderId: 10540,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2010,
date: '2014/02/25',
}, {
orderId: 10541,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5000,
date: '2014/02/01',
}, {
orderId: 10542,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1995,
date: '2014/02/20',
}, {
orderId: 10543,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 860,
date: '2014/02/12',
}, {
orderId: 10544,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2150,
date: '2014/02/10',
}, {
orderId: 10545,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4050,
date: '2014/02/06',
}, {
orderId: 10546,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2014/02/18',
}, {
orderId: 10547,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1780,
date: '2014/02/26',
}, {
orderId: 10548,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8700,
date: '2014/02/03',
}, {
orderId: 10549,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3390,
date: '2014/02/03',
}, {
orderId: 10550,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4425,
date: '2014/02/15',
}, {
orderId: 10551,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1180,
date: '2014/02/23',
}, {
orderId: 10552,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 360,
date: '2014/02/08',
}, {
orderId: 10553,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2310,
date: '2014/02/13',
}, {
orderId: 10554,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1770,
date: '2014/02/20',
}, {
orderId: 10555,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3060,
date: '2014/02/26',
}, {
orderId: 10556,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1750,
date: '2014/02/12',
}, {
orderId: 10557,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2280,
date: '2014/03/09',
}, {
orderId: 10558,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7600,
date: '2014/03/25',
}, {
orderId: 10559,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1035,
date: '2014/03/23',
}, {
orderId: 10560,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1245,
date: '2014/03/01',
}, {
orderId: 10561,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2860,
date: '2014/03/19',
}, {
orderId: 10562,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 440,
date: '2014/03/19',
}, {
orderId: 10563,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4665,
date: '2014/03/02',
}, {
orderId: 10564,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2270,
date: '2014/03/15',
}, {
orderId: 10565,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5000,
date: '2014/03/09',
}, {
orderId: 10566,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5100,
date: '2014/03/23',
}, {
orderId: 10567,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2120,
date: '2014/03/11',
}, {
orderId: 10568,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5140,
date: '2014/03/05',
}, {
orderId: 10569,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6210,
date: '2014/03/19',
}, {
orderId: 10570,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9510,
date: '2014/03/19',
}, {
orderId: 10571,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7600,
date: '2014/03/21',
}, {
orderId: 10572,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5420,
date: '2014/03/15',
}, {
orderId: 10573,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1980,
date: '2014/03/05',
}, {
orderId: 10574,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1820,
date: '2014/03/07',
}, {
orderId: 10575,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1670,
date: '2014/03/21',
}, {
orderId: 10576,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4800,
date: '2014/03/08',
}, {
orderId: 10577,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2925,
date: '2014/03/03',
}, {
orderId: 10578,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 2940,
date: '2014/04/11',
}, {
orderId: 10579,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3525,
date: '2014/04/13',
}, {
orderId: 10580,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2475,
date: '2014/04/22',
}, {
orderId: 10581,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3315,
date: '2014/04/08',
}, {
orderId: 10582,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3140,
date: '2014/04/07',
}, {
orderId: 10583,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2520,
date: '2014/04/01',
}, {
orderId: 10584,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1200,
date: '2014/04/10',
}, {
orderId: 10585,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2060,
date: '2014/04/21',
}, {
orderId: 10586,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7875,
date: '2014/04/02',
}, {
orderId: 10587,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1450,
date: '2014/04/07',
}, {
orderId: 10588,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2640,
date: '2014/04/22',
}, {
orderId: 10589,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1960,
date: '2014/04/16',
}, {
orderId: 10590,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2250,
date: '2014/04/23',
}, {
orderId: 10591,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4500,
date: '2014/04/05',
}, {
orderId: 10592,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5050,
date: '2014/04/11',
}, {
orderId: 10593,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2940,
date: '2014/04/02',
}, {
orderId: 10594,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2880,
date: '2014/04/14',
}, {
orderId: 10595,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1050,
date: '2014/04/19',
}, {
orderId: 10596,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1850,
date: '2014/04/02',
}, {
orderId: 10597,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3160,
date: '2014/04/01',
}, {
orderId: 10598,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 875,
date: '2014/04/04',
}, {
orderId: 10599,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3200,
date: '2014/04/08',
}, {
orderId: 10600,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1380,
date: '2014/04/21',
}, {
orderId: 10601,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 3060,
date: '2014/04/06',
}, {
orderId: 10602,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6690,
date: '2014/05/19',
}, {
orderId: 10603,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2014/05/15',
}, {
orderId: 10604,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4665,
date: '2014/05/10',
}, {
orderId: 10605,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4530,
date: '2014/05/18',
}, {
orderId: 10606,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1330,
date: '2014/05/08',
}, {
orderId: 10607,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1720,
date: '2014/05/20',
}, {
orderId: 10608,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3750,
date: '2014/05/16',
}, {
orderId: 10609,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1290,
date: '2014/05/10',
}, {
orderId: 10610,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4925,
date: '2014/05/14',
}, {
orderId: 10611,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4300,
date: '2014/05/22',
}, {
orderId: 10612,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5740,
date: '2014/05/08',
}, {
orderId: 10613,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 3760,
date: '2014/05/18',
}, {
orderId: 10614,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7920,
date: '2014/05/22',
}, {
orderId: 10615,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1440,
date: '2014/05/21',
}, {
orderId: 10616,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5975,
date: '2014/05/25',
}, {
orderId: 10617,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4440,
date: '2014/05/05',
}, {
orderId: 10618,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2310,
date: '2014/05/24',
}, {
orderId: 10619,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2250,
date: '2014/05/06',
}, {
orderId: 10620,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2320,
date: '2014/05/14',
}, {
orderId: 10621,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8370,
date: '2014/05/06',
}, {
orderId: 10622,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5190,
date: '2014/06/26',
}, {
orderId: 10623,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 925,
date: '2014/06/04',
}, {
orderId: 10624,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/06/20',
}, {
orderId: 10625,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3180,
date: '2014/06/23',
}, {
orderId: 10626,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 780,
date: '2014/06/13',
}, {
orderId: 10627,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 4680,
date: '2014/06/08',
}, {
orderId: 10628,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 2475,
date: '2014/06/25',
}, {
orderId: 10629,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1920,
date: '2014/06/20',
}, {
orderId: 10630,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7500,
date: '2014/06/25',
}, {
orderId: 10631,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/06/26',
}, {
orderId: 10632,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2400,
date: '2014/06/08',
}, {
orderId: 10633,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1720,
date: '2014/06/09',
}, {
orderId: 10634,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2880,
date: '2014/06/21',
}, {
orderId: 10635,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5430,
date: '2014/06/03',
}, {
orderId: 10636,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4475,
date: '2014/06/19',
}, {
orderId: 10637,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 1420,
date: '2014/06/20',
}, {
orderId: 10638,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2670,
date: '2014/06/25',
}, {
orderId: 10639,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2014/06/02',
}, {
orderId: 10640,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 580,
date: '2014/06/25',
}, {
orderId: 10641,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1620,
date: '2014/06/12',
}, {
orderId: 10642,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4530,
date: '2014/06/02',
}, {
orderId: 10643,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6025,
date: '2014/06/23',
}, {
orderId: 10644,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3540,
date: '2014/07/21',
}, {
orderId: 10645,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3000,
date: '2014/07/01',
}, {
orderId: 10646,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3240,
date: '2014/07/26',
}, {
orderId: 10647,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2265,
date: '2014/07/22',
}, {
orderId: 10648,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 400,
date: '2014/07/09',
}, {
orderId: 10649,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 1460,
date: '2014/07/08',
}, {
orderId: 10650,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1620,
date: '2014/07/18',
}, {
orderId: 10651,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2400,
date: '2014/07/25',
}, {
orderId: 10652,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5275,
date: '2014/07/04',
}, {
orderId: 10653,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 4475,
date: '2014/07/03',
}, {
orderId: 10654,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3980,
date: '2014/07/21',
}, {
orderId: 10655,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 5240,
date: '2014/07/11',
}, {
orderId: 10656,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 1200,
date: '2014/07/21',
}, {
orderId: 10657,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 5700,
date: '2014/07/18',
}, {
orderId: 10658,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 5575,
date: '2014/07/01',
}, {
orderId: 10659,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2160,
date: '2014/07/02',
}, {
orderId: 10660,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 960,
date: '2014/07/09',
}, {
orderId: 10661,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1280,
date: '2014/07/04',
}, {
orderId: 10662,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1040,
date: '2014/07/02',
}, {
orderId: 10663,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5520,
date: '2014/07/21',
}, {
orderId: 10664,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1760,
date: '2014/07/25',
}, {
orderId: 10665,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4080,
date: '2014/07/07',
}, {
orderId: 10666,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1000,
date: '2014/07/21',
}, {
orderId: 10667,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 3270,
date: '2014/07/12',
}, {
orderId: 10668,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1770,
date: '2014/08/23',
}, {
orderId: 10669,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2700,
date: '2014/08/09',
}, {
orderId: 10670,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2175,
date: '2014/08/03',
}, {
orderId: 10671,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3375,
date: '2014/08/11',
}, {
orderId: 10672,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2040,
date: '2014/08/01',
}, {
orderId: 10673,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3000,
date: '2014/08/21',
}, {
orderId: 10674,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3900,
date: '2014/08/16',
}, {
orderId: 10675,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1370,
date: '2014/08/20',
}, {
orderId: 10676,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 5700,
date: '2014/08/01',
}, {
orderId: 10677,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1275,
date: '2014/08/22',
}, {
orderId: 10678,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 4060,
date: '2014/08/13',
}, {
orderId: 10679,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2320,
date: '2014/08/18',
}, {
orderId: 10680,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 7590,
date: '2014/08/24',
}, {
orderId: 10681,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4560,
date: '2014/08/20',
}, {
orderId: 10682,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7575,
date: '2014/08/20',
}, {
orderId: 10683,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 700,
date: '2014/08/25',
}, {
orderId: 10684,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2014/08/16',
}, {
orderId: 10685,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1390,
date: '2014/08/15',
}, {
orderId: 10686,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1320,
date: '2014/08/09',
}, {
orderId: 10687,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1680,
date: '2014/08/09',
}, {
orderId: 10688,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1500,
date: '2014/08/11',
}, {
orderId: 10689,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 6150,
date: '2014/09/21',
}, {
orderId: 10690,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3675,
date: '2014/09/02',
}, {
orderId: 10691,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 2250,
date: '2014/09/05',
}, {
orderId: 10692,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 3585,
date: '2014/09/10',
}, {
orderId: 10693,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1470,
date: '2014/09/01',
}, {
orderId: 10694,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2260,
date: '2014/09/02',
}, {
orderId: 10695,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3765,
date: '2014/09/03',
}, {
orderId: 10696,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1640,
date: '2014/09/04',
}, {
orderId: 10697,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4475,
date: '2014/09/09',
}, {
orderId: 10698,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5975,
date: '2014/09/04',
}, {
orderId: 10699,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1100,
date: '2014/09/16',
}, {
orderId: 10700,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1320,
date: '2014/09/18',
}, {
orderId: 10701,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8610,
date: '2014/09/19',
}, {
orderId: 10702,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9210,
date: '2014/09/09',
}, {
orderId: 10703,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2014/09/01',
}, {
orderId: 10704,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3620,
date: '2014/09/19',
}, {
orderId: 10705,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4275,
date: '2014/09/01',
}, {
orderId: 10706,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2370,
date: '2014/09/03',
}, {
orderId: 10707,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1870,
date: '2014/09/10',
}, {
orderId: 10708,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2070,
date: '2014/09/25',
}, {
orderId: 10709,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5025,
date: '2014/09/19',
}, {
orderId: 10710,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 1080,
date: '2014/10/15',
}, {
orderId: 10711,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1400,
date: '2014/10/22',
}, {
orderId: 10712,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 4260,
date: '2014/10/01',
}, {
orderId: 10713,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 2745,
date: '2014/10/01',
}, {
orderId: 10714,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2920,
date: '2014/10/23',
}, {
orderId: 10715,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3520,
date: '2014/10/11',
}, {
orderId: 10716,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4035,
date: '2014/10/20',
}, {
orderId: 10717,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1730,
date: '2014/10/05',
}, {
orderId: 10718,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 975,
date: '2014/10/06',
}, {
orderId: 10719,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5700,
date: '2014/10/06',
}, {
orderId: 10720,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5080,
date: '2014/10/18',
}, {
orderId: 10721,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2940,
date: '2014/10/24',
}, {
orderId: 10722,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2670,
date: '2014/10/04',
}, {
orderId: 10723,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1230,
date: '2014/10/11',
}, {
orderId: 10724,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 600,
date: '2014/10/08',
}, {
orderId: 10725,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3700,
date: '2014/10/08',
}, {
orderId: 10726,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3375,
date: '2014/10/11',
}, {
orderId: 10727,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1500,
date: '2014/10/17',
}, {
orderId: 10728,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 370,
date: '2014/10/05',
}, {
orderId: 10729,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2340,
date: '2014/10/16',
}, {
orderId: 10730,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1080,
date: '2014/10/08',
}, {
orderId: 10731,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 2775,
date: '2014/10/21',
}, {
orderId: 10732,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4380,
date: '2014/11/09',
}, {
orderId: 10733,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 5500,
date: '2014/11/21',
}, {
orderId: 10734,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1920,
date: '2014/11/24',
}, {
orderId: 10735,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 765,
date: '2014/11/24',
}, {
orderId: 10736,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 370,
date: '2014/11/18',
}, {
orderId: 10737,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3500,
date: '2014/11/25',
}, {
orderId: 10738,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 825,
date: '2014/11/09',
}, {
orderId: 10739,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 490,
date: '2014/11/23',
}, {
orderId: 10740,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7075,
date: '2014/11/20',
}, {
orderId: 10741,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 1350,
date: '2014/11/25',
}, {
orderId: 10742,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 1440,
date: '2014/11/15',
}, {
orderId: 10743,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2820,
date: '2014/11/13',
}, {
orderId: 10744,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 2280,
date: '2014/11/12',
}, {
orderId: 10745,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1110,
date: '2014/11/03',
}, {
orderId: 10746,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 1150,
date: '2014/11/23',
}, {
orderId: 10747,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2040,
date: '2014/11/20',
}, {
orderId: 10748,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2014/11/24',
}, {
orderId: 10749,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1940,
date: '2014/11/24',
}, {
orderId: 10750,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 3090,
date: '2014/11/16',
}, {
orderId: 10751,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4900,
date: '2014/11/05',
}, {
orderId: 10752,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3465,
date: '2014/11/07',
}, {
orderId: 10753,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1110,
date: '2014/11/20',
}, {
orderId: 10754,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1650,
date: '2014/11/02',
}, {
orderId: 10755,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5280,
date: '2014/12/04',
}, {
orderId: 10756,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 3075,
date: '2014/12/02',
}, {
orderId: 10757,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 690,
date: '2014/12/07',
}, {
orderId: 10758,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1305,
date: '2014/12/15',
}, {
orderId: 10759,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1970,
date: '2014/12/01',
}, {
orderId: 10760,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3760,
date: '2014/12/18',
}, {
orderId: 10761,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1920,
date: '2014/12/22',
}, {
orderId: 10762,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1360,
date: '2014/12/12',
}, {
orderId: 10763,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2525,
date: '2014/12/06',
}, {
orderId: 10764,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 5575,
date: '2014/12/20',
}, {
orderId: 10765,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5560,
date: '2014/12/10',
}, {
orderId: 10766,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 4880,
date: '2014/12/13',
}, {
orderId: 10767,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8850,
date: '2014/12/03',
}, {
orderId: 10768,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 2820,
date: '2014/12/10',
}, {
orderId: 10769,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 4000,
date: '2014/12/12',
}, {
orderId: 10770,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 5820,
date: '2014/12/02',
}, {
orderId: 10771,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 1275,
date: '2014/12/12',
}, {
orderId: 10772,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1310,
date: '2014/12/01',
}, {
orderId: 10773,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2180,
date: '2014/12/26',
}, {
orderId: 10774,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4470,
date: '2014/12/17',
}, {
orderId: 10775,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2990,
date: '2014/12/15',
}, {
orderId: 10776,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 7650,
date: '2014/12/18',
}, {
orderId: 10777,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 780,
date: '2014/12/02',
}, {
orderId: 10778,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2970,
date: '2014/12/13',
}, {
orderId: 10779,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1155,
date: '2014/12/05',
}, {
orderId: 10780,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4470,
date: '2015/01/10',
}, {
orderId: 10781,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 1125,
date: '2015/01/21',
}, {
orderId: 10782,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 645,
date: '2015/01/17',
}, {
orderId: 10783,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 675,
date: '2015/01/05',
}, {
orderId: 10784,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2840,
date: '2015/01/05',
}, {
orderId: 10785,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2660,
date: '2015/01/04',
}, {
orderId: 10786,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4560,
date: '2015/01/12',
}, {
orderId: 10787,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2880,
date: '2015/01/20',
}, {
orderId: 10788,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 500,
date: '2015/01/02',
}, {
orderId: 10789,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 3925,
date: '2015/01/07',
}, {
orderId: 10790,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5660,
date: '2015/01/18',
}, {
orderId: 10791,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1460,
date: '2015/01/22',
}, {
orderId: 10792,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5040,
date: '2015/01/10',
}, {
orderId: 10793,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 4830,
date: '2015/01/13',
}, {
orderId: 10794,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3075,
date: '2015/01/22',
}, {
orderId: 10795,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 3120,
date: '2015/01/14',
}, {
orderId: 10796,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3525,
date: '2015/01/23',
}, {
orderId: 10797,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1930,
date: '2015/01/09',
}, {
orderId: 10798,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2890,
date: '2015/01/02',
}, {
orderId: 10799,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 1545,
date: '2015/01/17',
}, {
orderId: 10800,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3630,
date: '2015/01/20',
}, {
orderId: 10801,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 4035,
date: '2015/01/14',
}, {
orderId: 10802,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 345,
date: '2015/01/06',
}, {
orderId: 10803,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 7000,
date: '2015/01/07',
}, {
orderId: 10804,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 3060,
date: '2015/02/13',
}, {
orderId: 10805,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 6425,
date: '2015/02/04',
}, {
orderId: 10806,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 615,
date: '2015/02/22',
}, {
orderId: 10807,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1755,
date: '2015/02/07',
}, {
orderId: 10808,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1540,
date: '2015/02/21',
}, {
orderId: 10809,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 2820,
date: '2015/02/24',
}, {
orderId: 10810,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4305,
date: '2015/02/10',
}, {
orderId: 10811,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 1520,
date: '2015/02/26',
}, {
orderId: 10812,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 4725,
date: '2015/02/18',
}, {
orderId: 10813,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 6750,
date: '2015/02/16',
}, {
orderId: 10814,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 5540,
date: '2015/02/07',
}, {
orderId: 10815,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1880,
date: '2015/02/24',
}, {
orderId: 10816,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6180,
date: '2015/02/26',
}, {
orderId: 10817,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9300,
date: '2015/02/03',
}, {
orderId: 10818,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3700,
date: '2015/02/26',
}, {
orderId: 10819,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 740,
date: '2015/02/01',
}, {
orderId: 10820,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4755,
date: '2015/02/23',
}, {
orderId: 10821,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2570,
date: '2015/02/20',
}, {
orderId: 10822,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 2860,
date: '2015/02/19',
}, {
orderId: 10823,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 5430,
date: '2015/03/21',
}, {
orderId: 10824,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 4525,
date: '2015/03/21',
}, {
orderId: 10825,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 1515,
date: '2015/03/10',
}, {
orderId: 10826,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 630,
date: '2015/03/15',
}, {
orderId: 10827,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1310,
date: '2015/03/01',
}, {
orderId: 10828,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3200,
date: '2015/03/17',
}, {
orderId: 10829,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 3945,
date: '2015/03/20',
}, {
orderId: 10830,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2990,
date: '2015/03/18',
}, {
orderId: 10831,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1125,
date: '2015/03/22',
}, {
orderId: 10832,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7950,
date: '2015/03/17',
}, {
orderId: 10833,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 2960,
date: '2015/03/25',
}, {
orderId: 10834,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 6300,
date: '2015/03/20',
}, {
orderId: 10835,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 8670,
date: '2015/03/07',
}, {
orderId: 10836,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3930,
date: '2015/03/23',
}, {
orderId: 10837,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6975,
date: '2015/03/02',
}, {
orderId: 10838,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4220,
date: '2015/03/17',
}, {
orderId: 10839,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 3090,
date: '2015/03/25',
}, {
orderId: 10840,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2380,
date: '2015/03/01',
}, {
orderId: 10841,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1510,
date: '2015/03/07',
}, {
orderId: 10842,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 1020,
date: '2015/03/19',
}, {
orderId: 10843,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 6700,
date: '2015/03/26',
}, {
orderId: 10844,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4890,
date: '2015/04/02',
}, {
orderId: 10845,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 7225,
date: '2015/04/13',
}, {
orderId: 10846,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 795,
date: '2015/04/07',
}, {
orderId: 10847,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1785,
date: '2015/04/03',
}, {
orderId: 10848,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1850,
date: '2015/04/03',
}, {
orderId: 10849,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 5120,
date: '2015/04/12',
}, {
orderId: 10850,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 615,
date: '2015/04/07',
}, {
orderId: 10851,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2860,
date: '2015/04/05',
}, {
orderId: 10852,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1525,
date: '2015/04/24',
}, {
orderId: 10853,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7425,
date: '2015/04/15',
}, {
orderId: 10854,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 6080,
date: '2015/04/13',
}, {
orderId: 10855,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 2940,
date: '2015/04/04',
}, {
orderId: 10856,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5580,
date: '2015/04/16',
}, {
orderId: 10857,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 9390,
date: '2015/04/19',
}, {
orderId: 10858,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3200,
date: '2015/04/26',
}, {
orderId: 10859,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4380,
date: '2015/04/05',
}, {
orderId: 10860,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 4725,
date: '2015/04/06',
}, {
orderId: 10861,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 930,
date: '2015/04/25',
}, {
orderId: 10862,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 1910,
date: '2015/04/05',
}, {
orderId: 10863,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 2725,
date: '2015/04/16',
}, {
orderId: 10864,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 4720,
date: '2015/04/02',
}, {
orderId: 10865,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 5190,
date: '2015/04/10',
}, {
orderId: 10866,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 2800,
date: '2015/04/26',
}, {
orderId: 10867,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 3780,
date: '2015/04/24',
}, {
orderId: 10868,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 2340,
date: '2015/04/17',
}, {
orderId: 10869,
region: 'North America',
country: 'United States',
city: 'New York',
amount: 4830,
date: '2015/05/12',
}, {
orderId: 10870,
region: 'North America',
country: 'United States',
city: 'Los Angeles',
amount: 2075,
date: '2015/05/23',
}, {
orderId: 10871,
region: 'North America',
country: 'United States',
city: 'Denver',
amount: 3420,
date: '2015/05/21',
}, {
orderId: 10872,
region: 'North America',
country: 'Canada',
city: 'Vancouver',
amount: 1440,
date: '2015/05/10',
}, {
orderId: 10873,
region: 'North America',
country: 'Canada',
city: 'Edmonton',
amount: 1680,
date: '2015/05/15',
}, {
orderId: 10874,
region: 'South America',
country: 'Brazil',
city: 'Rio de Janeiro',
amount: 3440,
date: '2015/05/16',
}, {
orderId: 10875,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 4695,
date: '2015/05/10',
}, {
orderId: 10876,
region: 'South America',
country: 'Paraguay',
city: 'Asuncion',
amount: 2380,
date: '2015/05/06',
}, {
orderId: 10877,
region: 'Europe',
country: 'United Kingdom',
city: 'London',
amount: 1875,
date: '2015/05/25',
}, {
orderId: 10878,
region: 'Europe',
country: 'Germany',
city: 'Berlin',
amount: 7550,
date: '2015/05/14',
}, {
orderId: 10879,
region: 'Europe',
country: 'Spain',
city: 'Madrid',
amount: 3340,
date: '2015/05/01',
}, {
orderId: 10880,
region: 'Europe',
country: 'Russian Federation',
city: 'Moscow',
amount: 1400,
date: '2015/05/22',
}, {
orderId: 10881,
region: 'Asia',
country: 'China',
city: 'Beijing',
amount: 6060,
date: '2015/05/22',
}, {
orderId: 10882,
region: 'Asia',
country: 'Japan',
city: 'Tokyo',
amount: 8370,
date: '2015/05/13',
}, {
orderId: 10883,
region: 'Asia',
country: 'Korea (Republic of)',
city: 'Seoul',
amount: 3550,
date: '2015/05/26',
}, {
orderId: 10884,
region: 'Australia',
country: 'Australia',
city: 'Sydney',
amount: 2620,
date: '2015/05/17',
}, {
orderId: 10885,
region: 'Australia',
country: 'Australia',
city: 'Melbourne',
amount: 2400,
date: '2015/05/21',
}, {
orderId: 10886,
region: 'Africa',
country: 'South Africa',
city: 'Pretoria',
amount: 1740,
date: '2015/05/21',
}, {
orderId: 10887,
region: 'Africa',
country: 'Egypt',
city: 'Cairo',
amount: 500,
date: '2015/05/26',
}, {
orderId: 10888,
region: 'South America',
country: 'Argentina',
city: 'Buenos Aires',
amount: 780,
date: '2015/05/07',
}];
export const selectAllModeLabel = { 'aria-label': 'Select All Mode' };
export const showCheckboxesModeLabel = { 'aria-label': 'Show Checkboxes Mode' };
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.6/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.6',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.2/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.49/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);